GNU bug report logs - #37514
PATCH: Add setting to allow switching to an already-visible buffer by default

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jefferson Carpenter <jefferson@HIDDEN>; dated Wed, 25 Sep 2019 21:27:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 13 Oct 2019 08:17:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 04:17:49 2019
Received: from localhost ([127.0.0.1]:34891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJZ4X-00041J-9z
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 04:17:49 -0400
Received: from mout.gmx.net ([212.227.17.22]:60699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iJZ4W-000416-21
 for 37514 <at> debbugs.gnu.org; Sun, 13 Oct 2019 04:17:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570954654;
 bh=zqjgd/RWCREgekX85bZSoMXOmLKrmDAUgSKrxuGMqsk=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=IMbVauqjW6tXBzG4QXNN8qmkn0PxNkBASSPc/f4pD0/njtLcaQVq2CTCjSRKOwdGA
 JGFA+y4lSP8fpgTeFkLXJop1mWH3s2IFQX4+6Tvr7DsGodCET9EmWljSbbDql4A3oq
 h4qTHUrz3Gt6Wor5pjNk9DCYi3yJ7CEYhon1lj2A=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.173]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MS3mt-1iUFOv20AF-00TUS1; Sun, 13
 Oct 2019 10:17:34 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Juri Linkov <juri@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN> <87eezp9o6j.fsf@HIDDEN>
 <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN>
 <87muec7saq.fsf@HIDDEN>
 <f3d53cd5-cc15-600b-aa4e-101a87842f27@HIDDEN>
 <87o8ypixj8.fsf@HIDDEN> <87eezhen1h.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <ba8ac884-28fd-0453-d153-4324a3f99fd8@HIDDEN>
Date: Sun, 13 Oct 2019 10:17:31 +0200
MIME-Version: 1.0
In-Reply-To: <87eezhen1h.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:yBXhyM2CYIAdHnn3biTFUBGp5yGP3D27rcuol1wHdldXcEzkS5T
 MEwqS8di7gdF0DFQSZvLldnTeWFSaAsKCEtaAy4UVvWqJvxphMxSWkC1NW5kX+TDvg8v2sx
 vuAFRmgJmZSD+InmVH6zd8zQL5cEp478prsUnDL56WquSzln28YgVFDvBBZjv4Z4C5Oos57
 l7W6LQil2BtzHbWnG5Pzw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:/NbtEu8BaP8=:n1e4pgJoOspRNMHHt61MMM
 lIEIOlBCP2nzMxv9bcQ/OPpKCc9VrgZfM5TvXeqcX41j8TmlhTrv/PX2796UHo6nqXYbBM2zn
 s5QVhOAkZanhwNQTt9NK81cBeWuLnfaQRGW2mBqJmMmK7hctjWAQqCbTfLNJaXhdwYIfxot/W
 j/jUTNMVuo/jKYRu2ZxQOYMIBYdUjJE8caVOVtHGuTEUGQmITxgV0PUP10ZsUcErPlCtcLIlD
 QUKY8oupooLcCQWUKFT+MzzpI7NuC+d/aFm8TcnPkwPB7J+jVapSl38BTEaUZmvMDT9nE8uA+
 6p8tfRMG88IR/sVEMhYzUWzer+/DWerydSDA05qEI6ozA86lBcBM5nTwW/vJqGESGhLqiAsMs
 KMYGlaExiXVtb56dCskK3q8jLrw4nnmYH8eW86/ewQUwnl1Yb4ye/WSGtAnU53GetGm+gve8N
 uz13x5eIJR74FNPeNsg6YtEYUxRb05CNZeSakOrqaAHtUMmr5u7ZFracUhUY1LFcQ+Fko45tr
 P01o5assJPYB74hXbkWCYI2ZzvO9khHAHuWsuvEMczqb0PNIV6nzF8t1EzFCnI4bJwhq6OrVD
 XtFDCsCif7Hb73ozhe70RCRA+0V83F+OS7UijXn2UD/DSdjcvNFp9ugdyBdwbq4cp1aYCjIT/
 GJzkyNTfcZ/u8f8uBWLLPnJMSy18vCFgKZ8Cs60keVf1WETKAddzi9TGFIAnmNgDgB6tb2K1k
 pibFQZQl6c0LkUDQnc8yTD9roiYzgVOjJuiiuTNC8bfcAzBvVraMco3ytISEVtZXGLcJzUpZM
 XN24ABcD6X9oe0LiKzlNjMVlssF9V1JWzs997Vr7v2mVE9Wu6hnAveVsJhWT1SqNfKI23OUle
 Mm2CIPKWVyWCzm53W7CqukJ7dBdatHEjDbYdrOzg6BjCgIAasUcwizwVNHlrVaYhDNexkxbmR
 pJo9h8qlqZdbiKWIPOWWmKfvsZIPf7lIJBVTUketHYmZtv9OKGN8LWQjrujB6DJS5xLHE/N+S
 7y0qCRs+jkb10VGi3kdsD57hwyCzWPbK+2IiOEj3bRO7lHyLLJ91AoeyuumT+zTacBFv1a2/4
 q4mVaM2UNn0aTwx5TzbTT85FJMI6pWk1URJKbI0TgZeeMZ+3z8X9gVkFHOk0hZ7H4ZtM8xew6
 CiS6Y77u26TcSjhE7GCkug+rkVMe6ay8gAlSvHlnB0zxhSrRmbzDOt5GYTYcRlH+Gecfpj8wC
 1msHl1IhJCiB5GWjJan4XmOBFZBhLHALCe/finzYRMWiyFvXzWpwlUuoVi1k=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37514
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Jefferson Carpenter <jefferson@HIDDEN>, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> This patch makes them more repeatable:

Since I hardly ever use prefix arguments, it won't help me.
But it couldn't possibly harm either, so please install.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 12 Oct 2019 21:32:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 12 17:32:26 2019
Received: from localhost ([127.0.0.1]:34385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJOzx-00070g-NY
	for submit <at> debbugs.gnu.org; Sat, 12 Oct 2019 17:32:26 -0400
Received: from brown.elm.relay.mailchannels.net ([23.83.212.23]:34012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iJOzv-0006yv-Mg
 for 37514 <at> debbugs.gnu.org; Sat, 12 Oct 2019 17:32:24 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 0E157740B1A;
 Sat, 12 Oct 2019 21:32:22 +0000 (UTC)
Received: from pdx1-sub0-mail-a3.g.dreamhost.com
 (100-96-87-223.trex.outbound.svc.cluster.local [100.96.87.223])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 99A82740F61;
 Sat, 12 Oct 2019 21:32:21 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a3.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sat, 12 Oct 2019 21:32:21 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Bored-Macabre: 6b3a53be22cead07_1570915941852_1225241911
X-MC-Loop-Signature: 1570915941852:1466093712
X-MC-Ingress-Time: 1570915941852
Received: from pdx1-sub0-mail-a3.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a3.g.dreamhost.com (Postfix) with ESMTP id 276D58430D;
 Sat, 12 Oct 2019 14:32:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=B9TxRyIYE01I8KFKBR0RexmyWz8=; b=
 PTQWpKnLAH56S/Lv550+fNNiKN3gNlucf+17j14STBYQUXcBT/oKDUGSArPxREcg
 p9ZJBftT3wqFP4TU2TkauYu35CBxOiQY3NPuo7PJzVjjBH/Z4slAb3gBMiO65SY0
 bSnW5giti3g4F/T2QSztpzQGW2u0rnWSKlpFPa0iowc=
Received: from mail.jurta.org (m91-129-105-34.cust.tele2.ee [91.129.105.34])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a3.g.dreamhost.com (Postfix) with ESMTPSA id 46EB28430C;
 Sat, 12 Oct 2019 14:32:15 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a3
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
Organization: LINKOV.NET
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <87eezp9o6j.fsf@HIDDEN>
 <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN>
 <87muec7saq.fsf@HIDDEN>
 <f3d53cd5-cc15-600b-aa4e-101a87842f27@HIDDEN>
 <87o8ypixj8.fsf@HIDDEN>
Date: Sat, 12 Oct 2019 23:47:30 +0300
In-Reply-To: <87o8ypixj8.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 09 Oct 2019 21:48:11 +0300")
Message-ID: <87eezhen1h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedrieejgdduiedvucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesmhdtreertdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdehrdefgeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdehrdefgedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehruhgurghlihgtshesghhmgidrrghtnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Jefferson Carpenter <jefferson@HIDDEN>, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

>>> C-x <C-left>, C-x <left>, <XF86Back>
>>> C-x <C-right>, C-x <right>, <XF86Forward>
>>
>> These are not auto-repeatable, alas.
>
> At least we need to add a numeric arg to make them more repeatable
> with e.g. 'C-3 C-x <C-left>' - easy to type key sequence
> while holding the Ctrl key.

This patch makes them more repeatable:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=next-buffer-arg.patch

diff --git a/lisp/window.el b/lisp/window.el
index d7955209cd..9fd00b94c2 100644
--- a/lisp/window.el
+++ b/lisp/window.el
@@ -4747,31 +4747,33 @@ unbury-buffer
   (interactive)
   (switch-to-buffer (last-buffer)))
 
-(defun next-buffer ()
-  "In selected window switch to next buffer.
+(defun next-buffer (&optional arg)
+  "In selected window switch to ARGth next buffer.
 Call `switch-to-next-buffer' unless the selected window is the
 minibuffer window or is dedicated to its buffer."
-  (interactive)
+  (interactive "p")
   (cond
    ((window-minibuffer-p)
     (user-error "Cannot switch buffers in minibuffer window"))
    ((eq (window-dedicated-p) t)
     (user-error "Window is strongly dedicated to its buffer"))
    (t
-    (switch-to-next-buffer))))
+    (dotimes (_ arg)
+      (switch-to-next-buffer)))))
 
-(defun previous-buffer ()
-  "In selected window switch to previous buffer.
+(defun previous-buffer (&optional arg)
+  "In selected window switch to ARGth previous buffer.
 Call `switch-to-prev-buffer' unless the selected window is the
 minibuffer window or is dedicated to its buffer."
-  (interactive)
+  (interactive "p")
   (cond
    ((window-minibuffer-p)
     (user-error "Cannot switch buffers in minibuffer window"))
    ((eq (window-dedicated-p) t)
     (user-error "Window is strongly dedicated to its buffer"))
    (t
-    (switch-to-prev-buffer))))
+    (dotimes (_ arg)
+      (switch-to-prev-buffer)))))
 
 (defun delete-windows-on (&optional buffer-or-name frame)
   "Delete all windows showing BUFFER-OR-NAME.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 11 Oct 2019 08:17:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 11 04:17:08 2019
Received: from localhost ([127.0.0.1]:57656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIq6m-0007ag-69
	for submit <at> debbugs.gnu.org; Fri, 11 Oct 2019 04:17:08 -0400
Received: from mout.gmx.net ([212.227.17.22]:55723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iIq6l-0007Zz-4w
 for 37514 <at> debbugs.gnu.org; Fri, 11 Oct 2019 04:17:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570781813;
 bh=vHabj8EhwHyPyA5pjFOjIlO1R4X6NJRcEstQgpoVbjU=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=cVs9BsfZ9xyW414cHmjLsKSrT1W1CDAoXCfE+3V7sZqutg1NIk4gXC57lbwZGLuLd
 xLlKtjS2p6cKT4ZsF93LDb4GbC+EZmgv54pm6IfT+dv3JyTGXrxgwOP/Jp75EER2o+
 PDpFhChIHynX1Dces2gl8x7mu2cWc+Zo180Uuuqs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.9]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MqaxU-1hfKPV0hrk-00mdbh; Fri, 11
 Oct 2019 10:16:53 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Lars Ingebrigtsen <larsi@HIDDEN>, Juri Linkov <juri@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN> <87eezp9o6j.fsf@HIDDEN>
 <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN>
 <87muec7saq.fsf@HIDDEN> <87v9szyz81.fsf@HIDDEN>
 <87woddejq4.fsf@HIDDEN> <875zkx3a9n.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <fd446609-24a2-ec68-3e16-746c9f265438@HIDDEN>
Date: Fri, 11 Oct 2019 10:16:52 +0200
MIME-Version: 1.0
In-Reply-To: <875zkx3a9n.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:F2UICT3eGlEmumTfpGLJsQSNHPrDe1foSi/Vbch688neQgVUX0t
 6wDt9u4/UMxxctsRJho//xcCOdkzGNDzsr/Z+rHDW6MRc6v23Jq2nvL7wjTSyWnKMnsPA5X
 kGWIKKfLcLBh0lOK8q4wa5gumZxcIe9kBZYT/gIgz9KAYRho8qHSHh0MUa5FckpG/0mhcKL
 pk4qL+m6Bf3amU9F8XpUA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:8KHLFDF/hzg=:0dCKcR9/3j129p0iFQCqYw
 z1TqaiV5VfIy2msRmbcfDBCfP7hC9EzeaTlb7XxjYl7grAUeNL/jCZKNiJ/i8GN/2SXruW5T0
 /wNYAO6XMJqqQaaFrbjEqMrno8N53j/3oVqd/S3TCsXLeVLmDdZ3w4qteMxJaXd/m/8YzTTuh
 rKwKQ9bbT6jvvAL0Ph9qMqXUhGSVIzAHis42AiY9mUD7Ol1yOp36AR2IprktVJhxFk042Acv1
 Q9qbkpJdj9/MdMIfxA+s2JYEIapW/Bi+QbVcTOj9tu6t6dRKEKxIIRnlCk8t/fKmSgNFewxlS
 3X6zOHdfgkeTHyRLQMwCH554ub4807FwFDSP9gDXkcIkEkQu6ll/ZHp4NIm4T1XrBkSiE50jf
 RSGBCPE+N7s/DT+eCFXpnvuow6bmnbIBS17mfT/b4I4CzOS4EQF4N/7N+/mbWf3aQbaMkGcc0
 2wYe+jU39rISxcZXcrkZS+czY0wcU1k2zKEbb+A+DS9ytukuuJqHLMFrxViC+xQYl+pXHfE6+
 AA9JxZDZLv56VXoHbiX+zr4rfbwg3VLfzARaFI7NcrvHtXv9F/3LacRpwpK1PBPeq5UwJNzvN
 8I6JRxkMij+TKn2ZPK0gBjedHxgKMuhYKehC0sJsYIx31B+Uy+OI1tllgGkdpEmT0+yKBbcoa
 5J1xxq5mZxmVUq/c8zezRwWrk8WxRpSCbIh8RPeuafs/O4exe4a3THa91ZLNreZy9Wzadw5Gu
 jVOvy2Mt4+lEqZXnAI0i2LdRztDOnY/0AJMOzwfkWo2DHEhbAwbacRcZZewNjpNhqw11p/hMC
 GjI2S7xFIVMDhfC+FxhK4VPbtiXAyhCYyDrQ/ulqGruF1v55yq8kCnrHehw7sndoUl68BRUB5
 Twml2nm0xl5dKtK/BkPUkPGW8169Dd+SeDKvA0tzfZkZDF/aDj6iuN102SZPDwSYjxbpIqrRV
 gIZMjRfMVXWcxKvmJFBEjyCNWoDThsEJZrbWOAdNoIsKZYTqBaGbxI1ggcVy1jeFUAX9O3nZv
 ZMa3LeKe3AcvcvInMz3bFutOXVNMoGbzGoGggvbTiNgUzR1jT6Q0Tb4I4cMsHDRsI5w3pXpdt
 4siaxjOIi4wPtWCGF6bkyBMNbUwkSvvcNyzvRpYlXxAs+IPbnkWU4uS+O8bJCm6DJI9Y3m5w9
 gcq6aWXmo/d2zQfuQKmaxPQJOJFvqyw+Fos2rdQiAL9wyDAFP2BO9uCAXc5UXzBPViXsCqOFi
 iMHaPIgaEEhwZpJ0LihLo8348KpchNnWQaMC075wbLOVoBjOlmMvC2exF04E=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37514
Cc: Jefferson Carpenter <jefferson@HIDDEN>,
 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> And the docstring of `switch-to-prev-buffer' has no reference
 >> to `previous-buffer', and neither `previous-buffer' has
 >> a reference back to `switch-to-prev-buffer'.
 >>
 >> Should their docstrings be interlinked?
 >
 > Yes, that would help, I think.

I added such cross-links now.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 9 Oct 2019 20:59:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 16:59:58 2019
Received: from localhost ([127.0.0.1]:54243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIJ3u-00069h-2O
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 16:59:58 -0400
Received: from quimby.gnus.org ([80.91.231.51]:43986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iIJ3q-00069X-95
 for 37514 <at> debbugs.gnu.org; Wed, 09 Oct 2019 16:59:56 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iIJ3l-0004YK-9N; Wed, 09 Oct 2019 22:59:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <87eezp9o6j.fsf@HIDDEN>
 <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN>
 <87muec7saq.fsf@HIDDEN> <87v9szyz81.fsf@HIDDEN>
 <87woddejq4.fsf@HIDDEN>
Date: Wed, 09 Oct 2019 22:59:48 +0200
In-Reply-To: <87woddejq4.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 09 Oct 2019 23:50:03 +0300")
Message-ID: <875zkx3a9n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: >> I tried `C-h w
 switch-to-prev-buffer
 RET', and I got >> >> "switch-to-prev-buffer is not on any key" >> >> Oh!
 `previous-buffer' is just a small shim over >> `switch-to-prev-buffer'. >
 > And the do [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: martin rudalics <rudalics@HIDDEN>,
 Jefferson Carpenter <jefferson@HIDDEN>, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

>> I tried `C-h w switch-to-prev-buffer RET', and I got
>>
>> "switch-to-prev-buffer is not on any key"
>>
>> Oh!  `previous-buffer' is just a small shim over
>> `switch-to-prev-buffer'.
>
> And the docstring of `switch-to-prev-buffer' has no reference
> to `previous-buffer', and neither `previous-buffer' has
> a reference back to `switch-to-prev-buffer'.
>
> Should their docstrings be interlinked?

Yes, that would help, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 9 Oct 2019 20:58:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 16:58:44 2019
Received: from localhost ([127.0.0.1]:54236 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIJ2h-00067L-Mf
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 16:58:43 -0400
Received: from chocolate.birch.relay.mailchannels.net ([23.83.209.35]:20439)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iIJ2f-00067D-PY
 for 37514 <at> debbugs.gnu.org; Wed, 09 Oct 2019 16:58:42 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 941B15A0F8B;
 Wed,  9 Oct 2019 20:58:40 +0000 (UTC)
Received: from pdx1-sub0-mail-a88.g.dreamhost.com
 (100-96-4-204.trex.outbound.svc.cluster.local [100.96.4.204])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 2A52C5A0F7C;
 Wed,  9 Oct 2019 20:58:40 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a88.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Wed, 09 Oct 2019 20:58:40 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Vacuous-Ski: 52e88159452e1a49_1570654720391_784376271
X-MC-Loop-Signature: 1570654720391:192756656
X-MC-Ingress-Time: 1570654720391
Received: from pdx1-sub0-mail-a88.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a88.g.dreamhost.com (Postfix) with ESMTP id B0A2881385;
 Wed,  9 Oct 2019 13:58:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=BO/xXJqayPIeZ2mmffLl9euxeGo=; b=
 OM2T2EHQW6msWbYP2fQ9ByjNaSvA5G4gVo+Wll1RMKkU9vYGJzJEzLRlN7yKkSOe
 DowJVxmMqRGlt4TLriWL9E7VifnRy0mBLrGTPx8rFO4Pxlc/lWlnTNaQrdxmt9Yz
 g6Zak10DcYKgxjy6n6xvkRsjeYdOmG5+qinrG9rwp6Y=
Received: from mail.jurta.org (m91-129-99-99.cust.tele2.ee [91.129.99.99])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a88.g.dreamhost.com (Postfix) with ESMTPSA id 3A42781384;
 Wed,  9 Oct 2019 13:58:36 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a88
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
Organization: LINKOV.NET
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <87eezp9o6j.fsf@HIDDEN>
 <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN>
 <87muec7saq.fsf@HIDDEN> <87v9szyz81.fsf@HIDDEN>
Date: Wed, 09 Oct 2019 23:50:03 +0300
In-Reply-To: <87v9szyz81.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 08 Oct 2019 18:32:46 +0200")
Message-ID: <87woddejq4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedriedugddufeegucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrdelledrleelnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledrleelrdelledprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehlrghrshhisehgnhhushdrohhrghenucevlhhushhtvghrufhiiigvpedv
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: martin rudalics <rudalics@HIDDEN>,
 Jefferson Carpenter <jefferson@HIDDEN>, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I tried `C-h w switch-to-prev-buffer RET', and I got
>
> "switch-to-prev-buffer is not on any key"
>
> Oh!  `previous-buffer' is just a small shim over
> `switch-to-prev-buffer'.

And the docstring of `switch-to-prev-buffer' has no reference
to `previous-buffer', and neither `previous-buffer' has
a reference back to `switch-to-prev-buffer'.

Should their docstrings be interlinked?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 9 Oct 2019 18:51:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 14:51:24 2019
Received: from localhost ([127.0.0.1]:54115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIH3T-0007Gd-Oy
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 14:51:24 -0400
Received: from black.elm.relay.mailchannels.net ([23.83.212.19]:60899)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iIH3R-0007GI-F6
 for 37514 <at> debbugs.gnu.org; Wed, 09 Oct 2019 14:51:22 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id EC3FE581268;
 Wed,  9 Oct 2019 18:51:19 +0000 (UTC)
Received: from pdx1-sub0-mail-a88.g.dreamhost.com
 (100-96-84-88.trex.outbound.svc.cluster.local [100.96.84.88])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 65CD95812DA;
 Wed,  9 Oct 2019 18:51:19 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a88.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Wed, 09 Oct 2019 18:51:19 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Wide-Eyed-Interest: 190465a516dcd43d_1570647079656_557800024
X-MC-Loop-Signature: 1570647079656:663231919
X-MC-Ingress-Time: 1570647079656
Received: from pdx1-sub0-mail-a88.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a88.g.dreamhost.com (Postfix) with ESMTP id 98DF98136E;
 Wed,  9 Oct 2019 11:51:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=HujYIkGJf4w5Kd41u1+QQ1S4gTs=; b=
 hxVvBBVgm65vJtKi3xuLAHsL4bgvPyvh38b9oCDx+6LLkEeHNhH4VY0tyVGzIak6
 gX9ABoZpV5We1RodZ0LXKcPHng9lJLMUl4BExzJCdBkLEQXkBrX+X8NI2VZePytq
 Do0rl2uVyAWvcNOOOeg9NG6DLXAcavXEDbJ6DmfJv80=
Received: from mail.jurta.org (m91-129-99-99.cust.tele2.ee [91.129.99.99])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a88.g.dreamhost.com (Postfix) with ESMTPSA id 594068136C;
 Wed,  9 Oct 2019 11:51:13 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a88
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
Organization: LINKOV.NET
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <87eezp9o6j.fsf@HIDDEN>
 <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN>
 <87muec7saq.fsf@HIDDEN>
 <f3d53cd5-cc15-600b-aa4e-101a87842f27@HIDDEN>
Date: Wed, 09 Oct 2019 21:48:11 +0300
In-Reply-To: <f3d53cd5-cc15-600b-aa4e-101a87842f27@HIDDEN> (martin rudalics's
 message of "Tue, 8 Oct 2019 10:45:04 +0200")
Message-ID: <87o8ypixj8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedriedugddutdekucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrdelledrleelnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledrleelrdelledprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehruhgurghlihgtshesghhmgidrrghtnecuvehluhhsthgvrhfuihiivgepud
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Jefferson Carpenter <jefferson@HIDDEN>, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> C-x <C-left>, C-x <left>, <XF86Back>
>> C-x <C-right>, C-x <right>, <XF86Forward>
>
> These are not auto-repeatable, alas.

At least we need to add a numeric arg to make them more repeatable
with e.g. 'C-3 C-x <C-left>' - easy to type key sequence
while holding the Ctrl key.

> To me that's two bugs in the completions mechanism itself.  It does
> propose *Messages* first although that buffer is already displayed in
> another window and does not propose *scratch* although that buffer
> does not show in another window.  For me, a correct interpretation of
> C-x 4 b is to propose *scratch* first and _maybe_ propose *Messages*
> additionally for people who don't like C-x o.  C-x b in the very same
> configuration does it right IMHO.

Since here different preferences make sense, maybe this needs
better customizability.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 8 Oct 2019 16:32:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 12:32:53 2019
Received: from localhost ([127.0.0.1]:51334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHsPs-0006s0-RF
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 12:32:53 -0400
Received: from quimby.gnus.org ([80.91.231.51]:39468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iHsPr-0006rt-Kb
 for 37514 <at> debbugs.gnu.org; Tue, 08 Oct 2019 12:32:52 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iHsPn-0007Nj-Fk; Tue, 08 Oct 2019 18:32:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <87eezp9o6j.fsf@HIDDEN>
 <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN>
 <87muec7saq.fsf@HIDDEN>
Date: Tue, 08 Oct 2019 18:32:46 +0200
In-Reply-To: <87muec7saq.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 07 Oct 2019 21:09:57 +0300")
Message-ID: <87v9szyz81.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: >>>>
 'switch-to-prev-buffer'
 and 'switch-to-next-buffer' are the canonical >>>> commands for navigating
 a specific window's buffer list (here these >>>> are bound to <M-left> and
 <M-right> because I d [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: martin rudalics <rudalics@HIDDEN>,
 Jefferson Carpenter <jefferson@HIDDEN>, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

>>>> 'switch-to-prev-buffer' and 'switch-to-next-buffer' are the canonical
>>>> commands for navigating a specific window's buffer list (here these
>>>> are bound to <M-left> and <M-right> because I don't care for word-like
>>>> movement).
>>>
>>> Hey, those are really useful commands that I didn't know about.
>>>
>>> Would it make sense to give them a default key binding?
>>
>> Maybe Juri has an idea ...
>
> Fortunately we already have several default key bindings for this:
>
> C-x <C-left>, C-x <left>, <XF86Back>
> C-x <C-right>, C-x <right>, <XF86Forward>

I tried `C-h w switch-to-prev-buffer RET', and I got

"switch-to-prev-buffer is not on any key"

Oh!  `previous-buffer' is just a small shim over
`switch-to-prev-buffer'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 8 Oct 2019 11:42:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 07:42:59 2019
Received: from localhost ([127.0.0.1]:49649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHntL-0001fr-6l
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 07:42:59 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:43068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iHntI-0001fc-Sl
 for 37514 <at> debbugs.gnu.org; Tue, 08 Oct 2019 07:42:57 -0400
Received: by mail-wr1-f44.google.com with SMTP id j18so18216033wrq.10
 for <37514 <at> debbugs.gnu.org>; Tue, 08 Oct 2019 04:42:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=Gh6sBOzXaPV4NA3e5/OFsq7KcSYqT5+kuJOTKtroSi0=;
 b=A6lsb0zKN+2E2XBXU+1ZRcWss/K7klyU/xfb7vwD7Wb/nQKFDaIf+N44CbuxVzCFgc
 PKsYEBKQJMx1I2LGtxcqSHJNnqYfHFV+k+HC9H8B9tp+VF8UkiS+2FvW2FTk4pa3UZV/
 p5ODVWDcp/WIVFNQB2LIOVk2SSx5GWN5ZkWQBpHbF9GVtj+O7+7CvTXwe6p2sbN6yEaX
 gXDjZyfQ+85wJpw/lwuy7B3W3VXbeEi8UsKSh0HUMlgQufcbgAoufDWizNczH4sl/rZ7
 UQ+pA4RrSu49Ht5ddZuQsu1a//PLKawcY2vwfh6q1tvFRU57ePUbwIT/KXhQYOLIsdoM
 LA6A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=Gh6sBOzXaPV4NA3e5/OFsq7KcSYqT5+kuJOTKtroSi0=;
 b=eEzcurdb0wW+Bu7GLF5qYuIjMdKv8XcXeMDlVdGRHyv6lSh6lhw0eQVg1Z1dl3A7Pf
 ov05TascU1qls/iVeYyG89DmAH4/ytRZniI79n5XKNsVdhC1h8yOxKo9Q4iY4+Zwxk/D
 SpiLvo4gZ4SXkRiZfxTVVkQJmAZlVhXGZjgZz8HjxYU+v5UY62Ume/mf2Qj9rLsxw+IB
 EAgJDEJ3GhuI2wBSjioBvlkH6CxEhFY+QiWqHwR5dmHaFNWHyVERR5N+BDgbwRaKwWRc
 Rx/UNu/y80RzPQj9D3reSw9w593hEDI7Uo+60ng0v2TW386Fnm0Kac2Y/Vo8+Y+PwUHJ
 OzhA==
X-Gm-Message-State: APjAAAUDxSL9c+qt9ptg7A+y0XQak/ksjQDkOTcaLXYK50WzKnEBw44M
 3HVBTNaNsx9d2YejuZAdkFMnSbJvlgY=
X-Google-Smtp-Source: APXvYqx46Lxy7Sk9QLEbAKng+jOlF7s40laQRAeNCu0nDIN0jaTpMYSXvKNL5QKIo80VDLYwJWPYtg==
X-Received: by 2002:a5d:6a8a:: with SMTP id s10mr5920365wru.209.1570534970456; 
 Tue, 08 Oct 2019 04:42:50 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id f18sm18944415wrv.38.2019.10.08.04.42.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 08 Oct 2019 04:42:49 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <87eezp9o6j.fsf@HIDDEN> <m2wodgahiu.fsf@HIDDEN>
 <186316ed-b4fe-b2a9-a60a-50cba8f79771@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Tue, 08 Oct 2019 13:42:48 +0200
In-Reply-To: <186316ed-b4fe-b2a9-a60a-50cba8f79771@HIDDEN> (martin rudalics's
 message of "Tue, 8 Oct 2019 10:42:55 +0200")
Message-ID: <m27e5fa2fb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Jefferson Carpenter <jefferson@HIDDEN>, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 8 Oct 2019 10:42:55 +0200, martin rudalics <rudalics@HIDDEN> said:

    >> C-, / C-.
    >> C-< / C->
    >> M-[ / M-]
    >> M-{ / M-}
    >> 
    >> How do those interact with non-US keyboard layouts?

    martin> The first two are OK, the others are a pain.

Nevermind, as someone pointed out there are already bindings for these
(although for next-buffer and previous-buffer, which are wrappers
around the switch-to- variants).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 8 Oct 2019 08:45:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 04:45:22 2019
Received: from localhost ([127.0.0.1]:49475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHl7N-0001e3-F0
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 04:45:17 -0400
Received: from mout.gmx.net ([212.227.17.22]:52897)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iHl7L-0001dl-Ia
 for 37514 <at> debbugs.gnu.org; Tue, 08 Oct 2019 04:45:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570524304;
 bh=YfAfj0PpOMRlKCeKVeEXKmzmoziY2e3hR1kBiFJFjDA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=PQwTMwzkvMaB1YWX48dbK3ZVDOrCu+ialKkEEL0VQ1JfJrQ7LZi142QOY/S1fL5h2
 6Z4Tpd15pJay5s59Q0VDYDySk4T2u8e7DjGnuJYjXFiMH837QLswRC4nFHLdQ4UGv7
 cRsUFypxIq4nFu05Y3B9qv2K3Xz6KWPoIHT/cuQ0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.114]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MTAFb-1ifdfT0Gbv-00UaWw; Tue, 08
 Oct 2019 10:45:04 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Juri Linkov <juri@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN> <87eezp9o6j.fsf@HIDDEN>
 <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN>
 <87muec7saq.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <f3d53cd5-cc15-600b-aa4e-101a87842f27@HIDDEN>
Date: Tue, 8 Oct 2019 10:45:04 +0200
MIME-Version: 1.0
In-Reply-To: <87muec7saq.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:6r37VVhvNfc+KA3iVVjiT1a540Lawa864A3PZglL3IHovem0Gl+
 zjlqojYCigO0jsVxTO07jr3Ko8aS9eutZ/l1AQs7cgmtWKawbYYvdXBfdVzRaTsD3VNFtgu
 JIfRul5DAJUAQTJm8zG8UV4Tqujv6rjdx0C/5gWSrcCwEMdEUKwotDUDJIfUA/nZODZCmuH
 aItlhU5iezcVQiI0p/0fw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:diBtndp6eEI=:19oVMEls7LlJYR/8smFX1r
 JjrsoMs5ep6yQ6rQ+kl00qg1qJEy+PxbyWUdfQIRu9DwXivfMQunkyVXfcRV0bgKu8EyxBAB1
 tpWY5m8L5owPRzkq4yAMqjOiagcrLA9mFgfV7QMURMHEnpA8jEnjeQ17pOaK66R1f5YWzYBr8
 ywUgtMSM2c2oJB0Y01qKyWk8czOYOJHnsrk3z7v7Cb7d8fFmqz4/uUYr/FT1ICUSdpxDRIrGQ
 8pWZtwZCLVEE487wem+2nf1Dti9qWXBOsa+CWzoKWIDkLzseTYIcj+vy5zgzUoJyMHA/Xogdz
 PchXkn2w0N5NmDXhlsg//J7izQlliBPT2m9zjiXJrI/eIBWYsPFURBgjI6Lo9wY/oZAm8U9dJ
 SY45xYJOlBLu/ZzmGqKLw6fMWfGwHiMYS0QhhW0YFQnU/Mfx6tH86u1VysAxRyBWrlb3wai0m
 AFBQ8LTRPvMkHE0RliNiTnT20h+xnXYGNKzOKSLLOCe++TaVc31lOGpN3k/54GAHVIon3dN1z
 WU2Z3QbAeHUa4dPmVmNwIbxsxNAR5E8w60tL8t3u/zpzsTo0ZoHicKhXZROvbvefLzE+tB6z3
 KWc0WTLOxSk/tTLffjqAyXRSpGEpfcC0VR2UifqNFWOqqyFVI5/D+x91CtLsgknyt3Pzm2V1C
 LQM/QV/w1goqx7DWK7G7Xcqs83VN7CpIL3X9QptA0gWwmZonjZYePjoMjtHPJ3Gt/SZan5BjN
 MVYFWyAbLzP7ewfRgCy/9ImZxWxYtjONbSV3vmP/J4OgIAKSfs8Zt3wbE9SayDMBhYHzMhzC8
 HoMVGtqmk0aaHjt4S5DLom1xUAaT5VfGDUOZ2qxsN+nhmidOzRgOZH/mdZSZjQgJk4Ijq8n0/
 Wdp03ZYAoRWQGTFX6lDeLHu2M1mhhFQIS65Rg5fJnz31D/tspBR4DbebHQoz39eTn/rGfqr5L
 cO4scSjZESFPNgQ14UTTs6OcO4dAQVUseus4AVdfRbqy9CjeXgHcdTFtvGqo+umTBFgNJBBQo
 W8EYzFRL8vlA56WnXBoRaFKbEwl2Uh49VX6cNHEQ+UV+krbaxwYQME5JASGN1WqItFdZAcSzr
 Fpj9HMl1FY7akYtJpXi2scSA8wLAFfB/JoWKiDz4IBPbM36gKoAD8P1MYG9ylGub9Vv1z7cPO
 oFyEKtpWVp97i40GLQqbwzu7WjjJu+YtrKXrHCem8nlEJ00FUXrlj3rBco3ec7jad3KiBJBX6
 1zSmJHJE1s67es7r9jSsuS5yfvOzoHcO9l6HHQxnF2ecAt+qVPE2UOBYjkBk6tHNgMGKk94/A
 1osCJRbj
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Fortunately we already have several default key bindings
 for this: > > C-x <C-left>, C-x <left>, <XF86Back> > C-x <C-right>, C-x <right>,
 <XF86Forward> These are not auto-repeatable,
 alas. > But nevertheless customizability
 of buffers for the C-x b prompt > could be improved. The current gratuitous
 removing visible buffers from > C-x b prompt sometimes makes more harm than
 good. One ex [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [46.125.249.114 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.22 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 37514
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Jefferson Carpenter <jefferson@HIDDEN>, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Fortunately we already have several default key bindings
    for this: > > C-x <C-left>, C-x <left>, <XF86Back> > C-x <C-right>, C-x <right>,
    <XF86Forward> These are not auto-repeatable, alas. > But nevertheless customizability
    of buffers for the C-x b prompt > could be improved. The current gratuitous
    removing visible buffers from > C-x b prompt sometimes makes more harm than
    good. One ex [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [46.125.249.114 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.22 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > Fortunately we already have several default key bindings for this:
 >
 > C-x <C-left>, C-x <left>, <XF86Back>
 > C-x <C-right>, C-x <right>, <XF86Forward>

These are not auto-repeatable, alas.

 > But nevertheless customizability of buffers for the C-x b prompt
 > could be improved.  The current gratuitous removing visible buffers from
 > C-x b prompt sometimes makes more harm than good.  One example case:
 >
 > 0. emacs -Q
 > 1. C-h e   -- this displays *Messages* in another window
 >
 > Now try to show the *scratch* buffer in another window,
 > the most convenient way is:
 >
 > 2. C-x 4 b   -- and select the current buffer *scratch*
 >
 > but there is no "*scratch*" in completions of C-x 4 b,
 > because completions doesn't include the current buffer,
 > so need to type the whole string "*scratch* RET".

To me that's two bugs in the completions mechanism itself.  It does
propose *Messages* first although that buffer is already displayed in
another window and does not propose *scratch* although that buffer
does not show in another window.  For me, a correct interpretation of
C-x 4 b is to propose *scratch* first and _maybe_ propose *Messages*
additionally for people who don't like C-x o.  C-x b in the very same
configuration does it right IMHO.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 8 Oct 2019 08:43:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 04:43:13 2019
Received: from localhost ([127.0.0.1]:49457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHl5K-0001ZB-9w
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 04:43:13 -0400
Received: from mout.gmx.net ([212.227.17.20]:44055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iHl5I-0001Yl-AM
 for 37514 <at> debbugs.gnu.org; Tue, 08 Oct 2019 04:43:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570524176;
 bh=BXeJsOQ2jq49QUPojnsufGavvRB/2SFSIIUdPR4tQrM=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=BFQQA9kRG7AEFnu7FRKpm+HSW9j+lhH4NW202+Hy22W8SeVyVTXIro6jCJtYJQV95
 4fzUfCG1kqjrgocEfJfTQWmhPrciEax4Ef8lFOVD0pu8dk49ZXTfS0ydHEIR7/oHyc
 4YJshf0qyWLHY+dW6wcjTi9MhZp/cLMd+LndXe0E=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.114]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MA7GM-1iOw5y0Wi2-00BgH1; Tue, 08
 Oct 2019 10:42:56 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Robert Pluim <rpluim@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN> <87eezp9o6j.fsf@HIDDEN>
 <m2wodgahiu.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <186316ed-b4fe-b2a9-a60a-50cba8f79771@HIDDEN>
Date: Tue, 8 Oct 2019 10:42:55 +0200
MIME-Version: 1.0
In-Reply-To: <m2wodgahiu.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:yZomAgWXZYg5LUmsOvK2SdqU0be5Q7/AhYwhcPdMOql7+ZEQsHp
 wq3WG221TUSVFynhebqISuFuK2My74iNnI6AqjOZYNggvO50m/j1aP3G66axjdB0GI9c2+g
 IUujlODV44kSv4kz/oY9K+RYtndieogMVFxHtYHGv4MLr93bp/ELexQ/Y1hLRYSLrZsQOp+
 zqoMRnqjYKokBMCyq6H8A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:kjNrySTjBkM=:N55q9pughzmnoObry6lAbY
 hwAK/JRxdqLmKVGRLbuHVQfsPfRsBf4NcOuh/dWWHVpYOZeKe9xx5wGN6IEnbhd69PyaHfj/W
 7RAhCqV8icHe9APP52Gk7QKgk+JVCug7NoG3JrTse/RphB8l/Yd+4/YB/9QYeIMPcozmf2OXM
 L3qAZ5UwvY4zMzOVurowtQx28YyvcmoZqa2GSlquNrrV3XfHKhq5Z3Xvr9sbzXtOaWOaxZKjm
 E3ML4llye6+oX2C2+Ye+MxDEQjO6oq/M/yhtodThbXy8f5fLiEjDlQvAIZ18hYC6W82E/YHRh
 uMwafWDL9Pax6bKwXEvYPbmEAMgy7iG1Gp5fRTOPSTRewwPbd7M9qbhME0boKWyTQGutDyuWu
 3LeTywT04hiCgfAdJaPub3Bkc8mTuyNimgsQnjSv0OOtj2b16p9/uI7nKoCj5hPFHYZvT8dIY
 UFiuqZXXOTyucwXuHHWq+bZ3q1IWMjeoSv2cbod70W/XK0ww4xoeepoPmNLjWH3AZ2nUStFuy
 4iACwAA5zIajuWt5rO64qQCBPk+k94KW5TQjg7UYpQMn2nUH79vjKswR8Y94vYQAk9hvLbcmP
 HJ4vo7VZKRiPG0jKsyynaixfVk9FtUM/wS8cqwsHFAtjCfsUVG0bxOQULHE/C0LPeqsB9atWv
 omUqw+AT20XFG0Y+BQ5EVvVQPLy727oX6KmIrOX60Pqb89FRUcmeWvdQETUXDwGaHwx8kLapj
 dDyGNFBdkSDtpLtuyfg8olMdfGLw8B2P7YfOJ67nUNIV34l/1rJzs9FKMSi3GFge1HJdizHM5
 9Uk9xvsjEKvpT9N5I9qAV0YWOmZfuqeczpizM+G56s3DsLRDOe3Kegq3IpiEaczYPOddqepgY
 7J7icNaSK87CLaTTsXbrs9HypgyMPxCUlO3wLSPWj+ppKNM1KOd3VFm/tHF1JxW5L+nP9yxNl
 HQA+ilW9HND1o6uReS3WPbVv9/AhtIe2L1uIcIdCJycHZXK5Wt0E0oMeiDpY4N/yJaYM77sOW
 CYzc5sDNmxcOG4Tx/LBmVD2vRcpB9FClOWpnRaRqZ5O3Dv1q/kSS/6gBdM8B7Cbr7s8roLIkZ
 J98tQCfXmGnFC1JIefKsXOUoxmv7srvoghMLB+STrlTzzkEwuSXEu2pObIMcC2Djt2yrK4kew
 3+Lck81o/rOZB4qzBeBY1iKb+uF344I0vllL2+rfjb/frZWNhTkqK3YSlNmGrhWkZC1cWj3jX
 bcOhaQvRViqSun56jQL5bDZhopT2HzDDLR6W+Kk4nqrCzdl/fNxQpD/GOFDPf2Kc02knuH/+R
 Apc6VOfn
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > C-, / C-. > C-< / C-> > M-[ / M-] > M-{ / M-} > > How do
 those interact with non-US keyboard layouts? The first two are OK, the others
 are a pain. martin 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [46.125.249.114 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.20 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 37514
Cc: Jefferson Carpenter <jefferson@HIDDEN>,
 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > C-, / C-. > C-< / C-> > M-[ / M-] > M-{ / M-} > > How do
    those interact with non-US keyboard layouts? The first two are OK, the others
    are a pain. martin 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [46.125.249.114 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.20 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > C-, / C-.
 > C-< / C->
 > M-[ / M-]
 > M-{ / M-}
 >
 > How do those interact with non-US keyboard layouts?

The first two are OK, the others are a pain.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 7 Oct 2019 19:01:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 15:01:22 2019
Received: from localhost ([127.0.0.1]:49147 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHYG2-0001Xa-9G
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2019 15:01:22 -0400
Received: from brown.birch.relay.mailchannels.net ([23.83.209.23]:32935)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iHYG0-0001UA-2L
 for 37514 <at> debbugs.gnu.org; Mon, 07 Oct 2019 15:01:21 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 5818C6012B8;
 Mon,  7 Oct 2019 19:01:18 +0000 (UTC)
Received: from pdx1-sub0-mail-a42.g.dreamhost.com
 (100-96-14-192.trex.outbound.svc.cluster.local [100.96.14.192])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 23B386010EC;
 Mon,  7 Oct 2019 19:01:17 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a42.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.3); Mon, 07 Oct 2019 19:01:18 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Eyes-Imminent: 299fcaa20766642f_1570474877602_2184623591
X-MC-Loop-Signature: 1570474877602:815127125
X-MC-Ingress-Time: 1570474877599
Received: from pdx1-sub0-mail-a42.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a42.g.dreamhost.com (Postfix) with ESMTP id AFF9A81C62;
 Mon,  7 Oct 2019 12:01:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=a5FFBTMHFiYdJougIttVHoSmSxk=; b=
 kQoFsPrlnutX1lia24FXGIFW5FcfyFOgfhLXmcwW2eiZv2KcQJlfz5t/bwa8FPgU
 mXeqIn1Us0cSrH1MWryrAPlHQh1xb21Ob3KphNM4nMyKb/zpJw+xJf8g5GG4+rBl
 xPJ70CGbUz57K+nWBVuZmcWkSSuCfjdsFosGGELIPEo=
Received: from mail.jurta.org (m91-129-99-99.cust.tele2.ee [91.129.99.99])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a42.g.dreamhost.com (Postfix) with ESMTPSA id 8040181C65;
 Mon,  7 Oct 2019 12:00:46 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a42
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
Organization: LINKOV.NET
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <87eezp9o6j.fsf@HIDDEN>
 <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN>
Date: Mon, 07 Oct 2019 21:09:57 +0300
In-Reply-To: <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN> (martin rudalics's
 message of "Mon, 7 Oct 2019 11:26:15 +0200")
Message-ID: <87muec7saq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedrheejgdduvddtucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrdelledrleelnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledrleelrdelledprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehruhgurghlihgtshesghhmgidrrghtnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Jefferson Carpenter <jefferson@HIDDEN>, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>> 'switch-to-prev-buffer' and 'switch-to-next-buffer' are the canonical
>>> commands for navigating a specific window's buffer list (here these
>>> are bound to <M-left> and <M-right> because I don't care for word-like
>>> movement).
>>
>> Hey, those are really useful commands that I didn't know about.
>>
>> Would it make sense to give them a default key binding?
>
> Maybe Juri has an idea ...

Fortunately we already have several default key bindings for this:

C-x <C-left>, C-x <left>, <XF86Back>
C-x <C-right>, C-x <right>, <XF86Forward>

But nevertheless customizability of buffers for the C-x b prompt
could be improved.  The current gratuitous removing visible buffers from
C-x b prompt sometimes makes more harm than good.  One example case:

0. emacs -Q
1. C-h e   -- this displays *Messages* in another window

Now try to show the *scratch* buffer in another window,
the most convenient way is:

2. C-x 4 b   -- and select the current buffer *scratch*

but there is no "*scratch*" in completions of C-x 4 b,
because completions doesn't include the current buffer,
so need to type the whole string "*scratch* RET".

I don't know if a new option in the proposed patch
solves this problem as well.

Or maybe we need a more general DWIM-like customizable
preference of buffers for C-x b like dired-dwim-target
that is opposite to the default behavior of C-x b -
it prefers visible Dired buffers.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 7 Oct 2019 12:04:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 08:04:34 2019
Received: from localhost ([127.0.0.1]:47429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHRkg-0006tm-Hx
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2019 08:04:34 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:33520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iHRkf-0006ta-Ja
 for 37514 <at> debbugs.gnu.org; Mon, 07 Oct 2019 08:04:34 -0400
Received: by mail-wr1-f51.google.com with SMTP id b9so15005440wrs.0
 for <37514 <at> debbugs.gnu.org>; Mon, 07 Oct 2019 05:04:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=qUM+w99R5Ivkafc7sGCCF3vxjDm7jZ9ggnPUYbFZiaE=;
 b=H7VXbfHyIYOk7M25jGOuR6eOycuYwoU2w+8gTugdI8I5lY0INhVNaf6nFMEaLoTZNG
 7JsaQIPNCCRES6RR2WjvJx0WemMrX22kCf5mRwzjoo3J9vDfmdtVoQe+YHaY5QJV2RX9
 xqau30wtujcQa/AJCE6JU3LSTd1lqD6QtAhGg8a/mltu7ucXuLy65iiEWL7fJ6G17iNp
 2IZphb7EErb05Y1LZa6995ziWWBrPloW0BN7abCG2+dbtQlhw/WUmxzCtwxkgFn/IGM2
 K6j2LlFi+3/N50GlexqYE4/zis2N9b7lWMXL7VH7MeNAFRrdgj9o5m9CSuQJe+TzbC7a
 +Paw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=qUM+w99R5Ivkafc7sGCCF3vxjDm7jZ9ggnPUYbFZiaE=;
 b=epC6Q1FLrVpMb6yERVo0sPq+epOpTFvB6foYngbn+HaXqmm1c3hbPLNfflC0BluCJB
 8MjY7nud9JTtPpx91MgG+m9jo5qJPiUAvNA8pLBnUsQw2PcTPiSXniemlxtj8eJ/L2q5
 sM4GSzoYrsxC5W1TBZdqAWYPpw+094fwEWVg6uvDk+2iIGVF2RXMzBfRFlDBvAFiBH+7
 1AbVcevPWpJ7FekOksgpRL8wcMrodo6zV2uKqhRWQUL3M3Zxl1zd6rTGEFRuK881yBc1
 HwozgczAoN2m2LsZJTceWhvUTpj7+0Y74aKKIFxS67RXBAMYjd9kMZs5TlrS9359RG6I
 cSzw==
X-Gm-Message-State: APjAAAV5hB4zxvf/jBoSLmqgQivS8lMlfTX3Aw5ayjmt9lx+fKHpYxvZ
 EPWWkFQFPR+IwgxSl43NGsF+ZapX
X-Google-Smtp-Source: APXvYqwAUIrW1XYHiwXfHK/SQ4tVFa8Cua8cPBvsKa00c4OZmbb4n4mSZ7Uokv4Ea3e3w0w9+LKUCQ==
X-Received: by 2002:adf:e84c:: with SMTP id d12mr21271982wrn.373.1570449867278; 
 Mon, 07 Oct 2019 05:04:27 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id a9sm22844422wmf.14.2019.10.07.05.04.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 07 Oct 2019 05:04:26 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <87eezp9o6j.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 07 Oct 2019 14:04:25 +0200
In-Reply-To: <87eezp9o6j.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 07 Oct 2019 06:25:56 +0200")
Message-ID: <m2wodgahiu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: martin rudalics <rudalics@HIDDEN>,
 Jefferson Carpenter <jefferson@HIDDEN>, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 07 Oct 2019 06:25:56 +0200, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> martin rudalics <rudalics@HIDDEN> writes:
    >> 'switch-to-prev-buffer' and 'switch-to-next-buffer' are the canonical
    >> commands for navigating a specific window's buffer list (here these
    >> are bound to <M-left> and <M-right> because I don't care for word-li=
ke
    >> movement).

    Lars> Hey, those are really useful commands that I didn't know about.

    Lars> Would it make sense to give them a default key binding?

Well, word movement is bound to both M-left and C-left, so you'd have
to decide which half of Emacs users you annoy (personally I use
<C-left> for buffer switching, but that=CA=BCs mainly because I don=CA=BCt =
use
M- much).

Other options off the top of my head:

C-, / C-.
C-< / C->
M-[ / M-]
M-{ / M-}

How do those interact with non-US keyboard layouts?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 7 Oct 2019 09:26:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 05:26:28 2019
Received: from localhost ([127.0.0.1]:47373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHPHg-00013q-0W
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2019 05:26:28 -0400
Received: from mout.gmx.net ([212.227.15.15]:54499)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iHPHd-00013d-M8
 for 37514 <at> debbugs.gnu.org; Mon, 07 Oct 2019 05:26:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570440377;
 bh=LfA9jTuYG4/yIpmgZvbVM/25PucZb8+ZpYU1d7/eCo0=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=PzEeqJkGkeS4Cbn71ES3WWQCLn3cESTGwOdefCHXsmiUl/JeKaXNRlIKqA944XrlQ
 u2piD/kFZqY/b+UvtjEckh2kAxBqUtEPs9ITNZlMqGDIJ94b63S+hmMSpmFq2h0BVL
 8MWH5JoWjyh9JSftdArn4lNqnBPztM0ujqtuUmns=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.237]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mkpf3-1hpGK621FP-00mNlQ; Mon, 07
 Oct 2019 11:26:17 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN> <87eezp9o6j.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <34f8685e-ceef-33ca-e36c-58964415da06@HIDDEN>
Date: Mon, 7 Oct 2019 11:26:15 +0200
MIME-Version: 1.0
In-Reply-To: <87eezp9o6j.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:LcGjJwQl68i4pjTWVLr59TiVPpwKUjEgPLcYgQySijrXwQinCB3
 lPfDTB6ph6U3/R/MKRtK7tHB3BsFhe5mTKktWTTl/Gr1O3Q6SQltJTAiKCVbSj8CPjjZNmK
 hvq6axpv5Oz/qi4lDXHx3l/lqHESju9oRrMGbOqcP1kLuv+LW/7s08H03x9jPqXKNcQu0jR
 txBljUabnbt+49csvh0eA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:tKogKThOmhQ=:u7/5HG1XPwGZaj+ZvcbJZp
 OAKFWMvZe8Daj6MYTLdg/MEnS16OL58C5JfSwd3ktnoagFyicrm+gha7ChXEsHGx8tRXCTWTI
 9wM9p7a3sYP0M2UCon/ydIcQCrUhK/Axc81VBrMhGtRCOZOBgBl3Jq4xOJx2Hz0w4/Y9OCnwF
 sRDmMso8MkSKpLg+PU2KFzjwMLLOtkskDEPAJdMmwrpsXzGgvwRY+NVnyeQNjESQPP+3ikETr
 YzcYAED9JzREzYx0cAwlYZNZhfP8D2HZonS5WTw4pFkOwwlMW7rt//yG4cjL3x/bCQ8vaE7sW
 sZUR7TKSsDdejTgAC/nejO/EsHCxLi1mTLs0pUxy+dVCdiKzOvy2nW06zjVGchrIHXepWaYJ5
 PJ+Ny5AYZ7ebN3iJ2/EZAqciJTqAonRrDw1io+sDNVTHRPGjWG8ndneWuEmZnKWZ8/kUsVJW+
 Oe2pwNGR1pyXgtI4T+V9Y7r9fRFQPLVLcQBMVoiNbiRMaAs0JPmq0Bl0ZNRFzh9iRnGum321i
 EMFKfJoZDrUZtdRry20yrWrpMZXWcAQ7XeQ3t8U7mYoMiWHUT5H+KpkCl8eMfHoUbw1A6Na9Z
 Sn8I3KBjlSoZe65SozmKRMgv2YQRAK7RuMtn/H2vJiKrjS1eqqqqCpxNgeyReIcG5HYpzTaF2
 f8Cssp9D7cqtvcIV4+eFaXgP/PQIUELcnTWBRQxad7Tb8TvHQQYvP+SvOPu6S05AvysqhI54V
 73FvztyYVTXDNJmlFq5nsO2FBwiC8HdMyi4+/fM7cHcyhAiF5YTY/lq8yJncmtPuS3MXRE1yv
 I7P43rvvjcTcUkPKL0kfuHYKQ3OQTaDj3qUHsw+Q+kD90dIU2+hNq6PbMdQNIJ2br0kdCefbX
 QiYuLuGoYyEy7rafk4tklY4rvKhvSLfJb5A6/HOX3ti5xbcpqdjBcVSUaCvlmB5gDwWdjrnNm
 dLhivlU5uT5z2w0xzVBzZ8PQW36czlwQ3xTyw7lFgGa5a/AamIIuRX3hNoO9u2+5RzLA9ImwW
 tJPe3Qdp4dyxAHm+Be+vKYyU5g1Tn31z0PTHv2ccvmrX08DgUfrTIBI7XWW8Hhj5CLhB2Zo20
 BhT4LxrUqQxnd4O+k3sHQ2ms/K3L6XX88KJcttIjTJ9xtGSKTrSivZvCV4wQzUJZGMztEixru
 JBqvxT/zCXKqb/tDkfvRL1/bMdGvPkmrfq1M4iwYEcYg2AjDwYPvdMizJ7unVTtLcqMoU56O+
 FvbMWEAfiVEObcPbkuNYI/ogdojW1n8YMuLQpk/IoexC6gyTgdzPwscuznUA=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: Eli Zaretskii <eliz@HIDDEN>, Jefferson Carpenter <jefferson@HIDDEN>,
 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 >> 'switch-to-prev-buffer' and 'switch-to-next-buffer' are the canonical
 >> commands for navigating a specific window's buffer list (here these
 >> are bound to <M-left> and <M-right> because I don't care for word-like
 >> movement).
 >
 > Hey, those are really useful commands that I didn't know about.
 >
 > Would it make sense to give them a default key binding?

Maybe Juri has an idea ...

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 7 Oct 2019 04:26:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 00:26:01 2019
Received: from localhost ([127.0.0.1]:47174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHKav-0006Rm-MI
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2019 00:26:01 -0400
Received: from quimby.gnus.org ([80.91.231.51]:55932)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iHKau-0006Rb-En
 for 37514 <at> debbugs.gnu.org; Mon, 07 Oct 2019 00:26:00 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iHKaq-0005fB-It; Mon, 07 Oct 2019 06:25:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
Date: Mon, 07 Oct 2019 06:25:56 +0200
In-Reply-To: <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN> (martin rudalics's
 message of "Fri, 27 Sep 2019 10:16:43 +0200")
Message-ID: <87eezp9o6j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: martin rudalics <rudalics@HIDDEN> writes: >
 'switch-to-prev-buffer'
 and 'switch-to-next-buffer' are the canonical > commands for navigating a
 specific window's buffer list (here these > are bound to <M-left> and
 <M-right> because I don't care [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: Eli Zaretskii <eliz@HIDDEN>, Jefferson Carpenter <jefferson@HIDDEN>,
 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

> 'switch-to-prev-buffer' and 'switch-to-next-buffer' are the canonical
> commands for navigating a specific window's buffer list (here these
> are bound to <M-left> and <M-right> because I don't care for word-like
> movement).

Hey, those are really useful commands that I didn't know about.

Would it make sense to give them a default key binding?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 5 Oct 2019 09:31:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 05:31:01 2019
Received: from localhost ([127.0.0.1]:43764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGgOy-0007NF-WE
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 05:31:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55537)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iGgOv-0007Mm-TN
 for 37514 <at> debbugs.gnu.org; Sat, 05 Oct 2019 05:30:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36532)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iGgOq-0008R4-I3; Sat, 05 Oct 2019 05:30:52 -0400
Received: from [176.228.60.248] (port=3350 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iGgOp-0002NI-Mt; Sat, 05 Oct 2019 05:30:52 -0400
Date: Sat, 05 Oct 2019 12:30:41 +0300
Message-Id: <83r23r4jzy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <9a02e92d-51e2-4572-3118-0a4d48196d87@HIDDEN> (message from
 martin rudalics on Sat, 5 Oct 2019 10:42:22 +0200)
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
 <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
 <11149d62-74f2-aa1c-cab5-cabd248658eb@HIDDEN>
 <e3bf2660-25d2-f751-305f-0501fc065a2b@HIDDEN>
 <9a02e92d-51e2-4572-3118-0a4d48196d87@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37514
Cc: bug-gnu-emacs@HIDDEN, jefferson@HIDDEN, 37514 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37514 <37514 <at> debbugs.gnu.org>, bug-gnu-emacs@HIDDEN
> From: martin rudalics <rudalics@HIDDEN>
> Date: Sat, 5 Oct 2019 10:42:22 +0200
> 
>  > Here, I've attached the patch I'm thinking of.
> 
> I'm afraid there are no chances to get this approved ever.

Agreed, FWIW.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Oct 2019 09:30:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 05:30:58 2019
Received: from localhost ([127.0.0.1]:43761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGgOv-0007Mz-JG
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 05:30:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:37772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iGgOr-0007Mq-W6
 for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 05:30:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36365)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>) id 1iGgOq-0000qI-SS
 for bug-gnu-emacs@HIDDEN; Sat, 05 Oct 2019 05:30:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36532)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iGgOq-0008R4-I3; Sat, 05 Oct 2019 05:30:52 -0400
Received: from [176.228.60.248] (port=3350 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iGgOp-0002NI-Mt; Sat, 05 Oct 2019 05:30:52 -0400
Date: Sat, 05 Oct 2019 12:30:41 +0300
Message-Id: <83r23r4jzy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <9a02e92d-51e2-4572-3118-0a4d48196d87@HIDDEN> (message from
 martin rudalics on Sat, 5 Oct 2019 10:42:22 +0200)
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
 <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
 <11149d62-74f2-aa1c-cab5-cabd248658eb@HIDDEN>
 <e3bf2660-25d2-f751-305f-0501fc065a2b@HIDDEN>
 <9a02e92d-51e2-4572-3118-0a4d48196d87@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, jefferson@HIDDEN, 37514 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37514 <37514 <at> debbugs.gnu.org>, bug-gnu-emacs@HIDDEN
> From: martin rudalics <rudalics@HIDDEN>
> Date: Sat, 5 Oct 2019 10:42:22 +0200
> 
>  > Here, I've attached the patch I'm thinking of.
> 
> I'm afraid there are no chances to get this approved ever.

Agreed, FWIW.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Oct 2019 08:48:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 04:48:10 2019
Received: from localhost ([127.0.0.1]:43730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGfjW-0005Gs-BQ
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 04:48:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:41674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iGfjT-0005Gj-Dr
 for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 04:48:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60655)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rudalics@HIDDEN>) id 1iGfjS-0008G4-El
 for bug-gnu-emacs@HIDDEN; Sat, 05 Oct 2019 04:48:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1iGfjR-0004F0-Gw
 for bug-gnu-emacs@HIDDEN; Sat, 05 Oct 2019 04:48:06 -0400
Received: from mout.gmx.net ([212.227.15.19]:44611)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rudalics@HIDDEN>)
 id 1iGfjR-0004EQ-84; Sat, 05 Oct 2019 04:48:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570265280;
 bh=4HquGzR0sTRGMwZ7RoPStLfVAaLyF19kTIH5wLXiwng=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=gZn5fugCHsnWW7+7/R2uCAKrr8VPtPztmJqdfN9PSXH5svweEm7Z1sli/M/WRNl6Z
 QvrXNmUhZewgVdwxLrMs6bBaH36+HQU5fSgHDZUHcyT6LBYlJqyPl8RLM9wdyXZ1VH
 7hjZjBkhtFJoUxBFpytBvlgkrwGIzIlf0uzf+mH0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.156]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N49lD-1i8FSh16O1-0104b8; Sat, 05
 Oct 2019 10:42:22 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Jefferson Carpenter <jefferson@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
 <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
 <11149d62-74f2-aa1c-cab5-cabd248658eb@HIDDEN>
 <e3bf2660-25d2-f751-305f-0501fc065a2b@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <9a02e92d-51e2-4572-3118-0a4d48196d87@HIDDEN>
Date: Sat, 5 Oct 2019 10:42:22 +0200
MIME-Version: 1.0
In-Reply-To: <e3bf2660-25d2-f751-305f-0501fc065a2b@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:uITFqovhSXNKj3wX0eIS75tzHGlQ51nqzJAKRn+C+0wnzPdwa8B
 D292qtdYLVh1zxX+Ik5I55W2VYbvKb6qybrJkkL9O0Q6QWIwgAxt3GyNB7kUlQQq6qUF4Ep
 OF3x95gS5UgGh+n9oJEHrB5q3m2Rc/WqqZJRt90Jr8FMBAV5pewxFi0oSUveW7nYBhl32jl
 1af8vIHCDzvEgVdPG3T0A==
X-UI-Out-Filterresults: notjunk:1;V03:K0:9cQ93MviII4=:3qY791GLW+4iWaCrSrPaet
 AAmOd+VkjlSiuYXDclKODOW/tqHXywB6Q1UyfAr3Wn5J+s5nLFC8eJXwYdnk76Qn4D1gOmvbF
 sMbjfVUJqhU0SRxqKw72izMuj6aJXBZRFNps4qkJtoO0KmroGDstunRZ55WSwNOI044i6A8PS
 udYIQY6QdTF9rX6+WWBVGn/3PBFXsTdal07cHbcI/ehFzNNOIQVrK/6msrkTewOCmF+f0qQ9L
 dS9btVIlEq8M0aw5dy+oLU71kCQOBO60JDzPVdCa39QxwSvjYol2Czla9R0xENhJlynvzpLTd
 OqkK+y67gE/eggl5HkLhc+Nq9O2cTfpk12khE9Bug0QxqJ0HwTuYuS69+ow3yK/TQNXOb6W10
 R5L9K2QDED/v2KNyBax5vXnUT8hQsFFl91azGriDs+WtrZjGnr53HtsczbLSJ2x/3ft9H21q4
 4xljBe6XqcgTEMccQ9Cjn6P0bGzhm+BOaP7dpSnQzit6EOMj0RWZCY1hcjH3cE08mmhzZB/za
 GnIsX0euy9GguyhxvKlO3lFfntyXq8kglqbOOsupc8hjy4u1ndmHPiCSlIXOWGCJwFjZDq46K
 g+dBBl5nOZt7ZouRY/JXwTU6L+/rxc98f3dGVQW55OJOiY7cMK+U+GBnEQyVQAOdMKG+6hGO9
 f2zeRsMwDtedUiZ13Xouh6IeILKuOnTBf+pCTX6PwyboKslFaBPuqBBcN92rwDq5j8JMfwO6E
 uV5NzElhor5B1pMs+Lrlc29Ofane5R45w2gpXUbi9gEMJXrhLha5ql755jR4oHS5HDsgcuk/p
 36URWqpcKnuOJv+dQlgVLeryx8emENLJZ4nx0mBRZtr4L8IppFKqJL0CeEUuGlOA2zthpzZ8g
 EZBQktAUFKtXkL/WhKZo2WhUDVffJb/HwMgl/rvneIk3h0CeEqucPUd7oEUV1TZ2PllNifST5
 HnlTqaJXEsLDHX00XBeQUSpkW7rLJDCl59H4FXB7Bo4LU7HP9yIw/ejiCsHxxvQXOzAnNmvXM
 LGF8v27WlifoCKiY9s00AXUleHTC2pJQzwImPCJ1GwXB4euhgHo9j4MZ9JoCZR3aneHRlytwt
 YUyzi04hr2kBbwoFCRzbg2SKtisYYrvxiqUxsqZczQBApyFzjlYaBfh735g32HWEpnLdI/gV2
 hsqvDKdiYOQ68L/L35BWd7FTOg2UZ0Oig9GaRKTARjmYZdNsNjq5Nm6NC/ETqryEKUSEo2T6E
 tgJUsUKrTJTEih6b/plwi1iBNY9cfBPi5ZRpOHw==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.227.15.19
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

 > Here, I've attached the patch I'm thinking of.

I'm afraid there are no chances to get this approved ever.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 5 Oct 2019 08:42:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 04:42:35 2019
Received: from localhost ([127.0.0.1]:43725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGfe7-00058F-9f
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 04:42:35 -0400
Received: from mout.gmx.net ([212.227.15.18]:37659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iGfe5-00057z-65
 for 37514 <at> debbugs.gnu.org; Sat, 05 Oct 2019 04:42:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570264942;
 bh=4HquGzR0sTRGMwZ7RoPStLfVAaLyF19kTIH5wLXiwng=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=BD7xTAdPoGoxd5sLzVU7yZcMZ+Yq5I4HS1Pk9MCSU4BOTYU+tPRapZSs/kAL50+OV
 MgYqVwqhGUl1n+qURHy6PDuuQ3oYykbuAT7er5sSMoGjBA9pXiSwk3vUmz6YjEvQoz
 z1bxlX2Ciw6+SJQebPDwLPQciYvdn8muKWK5FbIE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.156]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N49lD-1i8FSh16O1-0104b8; Sat, 05
 Oct 2019 10:42:22 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Jefferson Carpenter <jefferson@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
 <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
 <11149d62-74f2-aa1c-cab5-cabd248658eb@HIDDEN>
 <e3bf2660-25d2-f751-305f-0501fc065a2b@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <9a02e92d-51e2-4572-3118-0a4d48196d87@HIDDEN>
Date: Sat, 5 Oct 2019 10:42:22 +0200
MIME-Version: 1.0
In-Reply-To: <e3bf2660-25d2-f751-305f-0501fc065a2b@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:uITFqovhSXNKj3wX0eIS75tzHGlQ51nqzJAKRn+C+0wnzPdwa8B
 D292qtdYLVh1zxX+Ik5I55W2VYbvKb6qybrJkkL9O0Q6QWIwgAxt3GyNB7kUlQQq6qUF4Ep
 OF3x95gS5UgGh+n9oJEHrB5q3m2Rc/WqqZJRt90Jr8FMBAV5pewxFi0oSUveW7nYBhl32jl
 1af8vIHCDzvEgVdPG3T0A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:+uwE5Cqb2UA=:1idCLpEr04p4db3nV/exIU
 hI+WRlw1rVk/p+ah3Y6A7SkoVG/LTmMbBtJSFKB30dHc/6rn0Y90RRtt7JZESGL+Ce7/t8FLx
 gXmlVwisu3j2hdI+gbOd7uJDhbi8wjBxWRiXuVRY+S2T2UzHqcSvrAJ/FBbtLF0xVrStFDBJ5
 vRtCZ9EGdTVDyYD7kq1U2N8UpURY7pT0T/O8TJkNkhoTxaKcaoaz+0HpPMuLmcS7VJPEAKndp
 DXVi537p+zhlbDCpaFgxJc7n3uScxkSWkjMeBXaPjM9GB3dauSVL/swLjvw8JJodf9a5ObtAM
 ZMuIqRRTsAaiZ//pVO9RI7fBel0H0TWTPZvpM3TkRH64eoVdSrnKkFO5g3LhTvVl3mK6NgZF/
 dqYP3MoWmPPtgLGVqvTEwY8Vk9ph41PttM55VSFY8FZzBIn9JTif0SK+aF+TsE80rWPnnwaMW
 SPPWKCZBSTVQ2zsy8TZIvF4Ou/YTCfbS3GAIVgcbR8Qn5x9V8u/c5gUhUVH/wYB+sRTM4QIcc
 IJnF2ZBe/2r/ZqSXg1GB7BjXAxwBcOJIkacv6gbispI69xUv1M8kAL98jB8XMal1i4WlehKIn
 eOlIb/APP3qIvvth8HSG71PTZnJ9QuwgMnWHLED8AjiltUSjZM5qt1X8OhmLmhTrJsjrvqR9z
 xXHzF5dt4bSFCRWhuanHtjDXr0Hs95D/5cPWDr4CWLx4WmeIZLCLJKerhCIKEMXeTF8HYIHlv
 2IELm+avjyrFHhVti5ipZgPUtrWvv52OhYpgahUrglzopvQcx9MqTIZg/NDvst1/IAb5Ogew+
 UxN4cRpf2mnov6aEzlWX9kvyE+vCgA8HPXEEmNHKyusw5ym6dxYtgMWMyEu5fVBCR2swu9boP
 wJel8HPscIMKxFxoBUIYmioGPQV2fSqBYIuoTuMGBNB2dbHIbVpRp8iOgG7skBAWM5IF9DAYs
 roZzxrWCu7YdtC5vmPtxrT99NDP9uldBnbOm88ddz5vBDtRS+5IRlreKPbbU2+sMhBYRxrAoX
 nbEbrb2r/vxCMkpW9SkNkiOdw3oATfokeoOc0wMUJngQMW0rlJGTW90F66Fw2NpHPPTg7RWJZ
 jx3xM4ZsbFtpxwKchzTJI7eSL123nQC9jcE9dVuVuRPiSkT9Ul9wHmAuvXu1BfT/2/3XUw+fy
 vqmp6yrghEmnKkTd/Q0jJqfd9DqBUhtThjTlTPC+vNTqwffx06r1pZsfmIWKgXt3h3eZ3gsVC
 1A2O0iFYRPiEF4lUXBkF3Ay11XVNhjWT0Zopv4w==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: bug-gnu-emacs@HIDDEN, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > Here, I've attached the patch I'm thinking of.

I'm afraid there are no chances to get this approved ever.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 4 Oct 2019 00:45:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 20:45:59 2019
Received: from localhost ([127.0.0.1]:41477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGBjK-0000KO-Nh
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 20:45:59 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jefferson@HIDDEN>) id 1iGBjG-0000Jy-Hw
 for 37514 <at> debbugs.gnu.org; Thu, 03 Oct 2019 20:45:55 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1570149938; cv=none; d=zoho.com; s=zohoarc; 
 b=Eapepafy1N17vcKMYg4IgB5RIldz/ssqCRGQH+c76h8n/zfMEIQxLivS1HlhH7JlrpIh/55slH/cQ1DZ2MgE/gQDmF6vmUbWIAE2gdDVCjD/5JqppY0JKzkMDB1QFNZ39l8qzZOJogGLgTfag2yhXjpwz4rAyNQ7PcaVhAH/7B4=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1570149938;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=ttUV/eHyh7IuuMuieQvkZVAgmZn1q2bPzrNDRc3Nfk0=; 
 b=hrpDYTmFqvSBorgvRcx0EZLs4t2NkSQbHvhtQmZ8G6vtjvG8QiSTAMOMWXJxyZODTb1I8Bn2Ac42kSAu2CEXJHNT3QtJ1Kbi1LxQeq8uEUJzV3eP/Y5YFGSLgi6Y6Bm3ITPnCxdo+uqoikcrqY24CzslZGT8BnWYwxOns+/U91A=
ARC-Authentication-Results: i=1; mx.zoho.com;
 dkim=pass  header.i=aoeu2code.com;
 spf=pass  smtp.mailfrom=jefferson@HIDDEN;
 dmarc=pass header.from=<jefferson@HIDDEN>
 header.from=<jefferson@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1570149938; 
 s=zoho; d=aoeu2code.com; i=jefferson@HIDDEN;
 h=Subject:To:Cc:References:From:Message-ID:Date:MIME-Version:In-Reply-To:Content-Type;
 l=2222; bh=ttUV/eHyh7IuuMuieQvkZVAgmZn1q2bPzrNDRc3Nfk0=;
 b=mQsSNyo3d9eZ+nEOvfGE1fBnMReglebgn34l7WOE50E+tpXpsGtfojf7GP9daZHy
 3uFkTo96hwipTnkakGglbX7KR+PnrHQ9JJgMETjMatTwMVW7VSQ3Xl6848LMJEB3rtI
 4qKhyl6ZwX/XZT1hLfIbJB6iFhj9QGRZqTBFM6hs=
Received: from [192.168.1.2] (96.78.87.197 [96.78.87.197]) by mx.zohomail.com
 with SMTPS id 1570149938205104.88231698629409;
 Thu, 3 Oct 2019 17:45:38 -0700 (PDT)
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
 <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
 <11149d62-74f2-aa1c-cab5-cabd248658eb@HIDDEN>
From: Jefferson Carpenter <jefferson@HIDDEN>
Message-ID: <e3bf2660-25d2-f751-305f-0501fc065a2b@HIDDEN>
Date: Fri, 4 Oct 2019 00:45:26 +0000
User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <11149d62-74f2-aa1c-cab5-cabd248658eb@HIDDEN>
Content-Type: multipart/mixed; boundary="------------23E807C77752140E1C17B685"
Content-Language: en-US
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: bug-gnu-emacs@HIDDEN, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------23E807C77752140E1C17B685
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

On 10/2/2019 8:54 AM, martin rudalics wrote:
>  > Adding a single additional key might sound reasonable, but here
>  > you're asking me to add two additional keys to my global bindings
>=20
> As a rule, Emacs uses two keys to implement back & forth navigation
> (scroll-up/-down, forward-/backward-word, next-/previous-line).
>=20
>  > when a two-character code change would make it unneeded (+" t").
>=20
> Sorry.=C2=A0 I'm missing you here.

Here, I've attached the patch I'm thinking of.

--------------23E807C77752140E1C17B685
Content-Type: text/plain; charset=UTF-8;
 name="0001-smaller-patch.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="0001-smaller-patch.patch"

RnJvbSA0YzIxNWI0MmE3NjUxYmMxNTU3MGE0YzE4MmE5MTNlZDFjMDE2MDBiIE1vbiBTZXAg
MTcgMDA6MDA6MDAgMjAwMQpGcm9tOiBqZWZmZXJzb25jYXJwZW50ZXIgPGplZmZlcnNvbmNh
cnBlbnRlcjJAZ21haWwuY29tPgpEYXRlOiBGcmksIDQgT2N0IDIwMTkgMDA6NDM6NTcgKzAw
MDAKU3ViamVjdDogW1BBVENIXSBzbWFsbGVyIHBhdGNoCgotLS0KIGxpc3Avd2luZG93LmVs
IHwgMiArLQogMSBmaWxlIGNoYW5nZWQsIDEgaW5zZXJ0aW9uKCspLCAxIGRlbGV0aW9uKC0p
CgpkaWZmIC0tZ2l0IGEvbGlzcC93aW5kb3cuZWwgYi9saXNwL3dpbmRvdy5lbAppbmRleCBk
OTNlYzBhZGQ2Li43NjhiZDY4NzA2IDEwMDY0NAotLS0gYS9saXNwL3dpbmRvdy5lbAorKysg
Yi9saXNwL3dpbmRvdy5lbApAQCAtODE4MSw3ICs4MTgxLDcgQEAgZnJvbSB0aGUgbGlzdCBv
ZiBjb21wbGV0aW9ucyBhbmQgZGVmYXVsdCB2YWx1ZXMuIgogICAgICAgICAgICAgICAoc2V0
IChtYWtlLWxvY2FsLXZhcmlhYmxlICdpY29tcGxldGUtd2l0aC1jb21wbGV0aW9uLXRhYmxl
cykKICAgICAgICAgICAgICAgICAgICAoY29ucyByYnRzLWNvbXBsZXRpb24tdGFibGUKICAg
ICAgICAgICAgICAgICAgICAgICAgICBpY29tcGxldGUtd2l0aC1jb21wbGV0aW9uLXRhYmxl
cykpKSkKLSAgICAgIChyZWFkLWJ1ZmZlciBwcm9tcHQgKG90aGVyLWJ1ZmZlciAoY3VycmVu
dC1idWZmZXIpKQorICAgICAgKHJlYWQtYnVmZmVyIHByb21wdCAob3RoZXItYnVmZmVyIChj
dXJyZW50LWJ1ZmZlcikgdCkKICAgICAgICAgICAgICAgICAgICAoY29uZmlybS1ub25leGlz
dGVudC1maWxlLW9yLWJ1ZmZlcikpKSkpCiAKIChkZWZ1biB3aW5kb3ctbm9ybWFsaXplLWJ1
ZmZlci10by1zd2l0Y2gtdG8gKGJ1ZmZlci1vci1uYW1lKQotLSAKMi4xNi4xLndpbmRvd3Mu
NAoK
--------------23E807C77752140E1C17B685--






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Oct 2019 00:45:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 20:45:59 2019
Received: from localhost ([127.0.0.1]:41479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGBjL-0000KQ-42
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 20:45:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:34123)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jefferson@HIDDEN>) id 1iGBjG-0000K0-NJ
 for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 20:45:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41878)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jefferson@HIDDEN>) id 1iGBjE-0003OZ-U9
 for bug-gnu-emacs@HIDDEN; Thu, 03 Oct 2019 20:45:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jefferson@HIDDEN>) id 1iGBjD-0003ye-Ps
 for bug-gnu-emacs@HIDDEN; Thu, 03 Oct 2019 20:45:52 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21341)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jefferson@HIDDEN>)
 id 1iGBjD-0003sa-Gw; Thu, 03 Oct 2019 20:45:51 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1570149938; cv=none; d=zoho.com; s=zohoarc; 
 b=Eapepafy1N17vcKMYg4IgB5RIldz/ssqCRGQH+c76h8n/zfMEIQxLivS1HlhH7JlrpIh/55slH/cQ1DZ2MgE/gQDmF6vmUbWIAE2gdDVCjD/5JqppY0JKzkMDB1QFNZ39l8qzZOJogGLgTfag2yhXjpwz4rAyNQ7PcaVhAH/7B4=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1570149938;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=ttUV/eHyh7IuuMuieQvkZVAgmZn1q2bPzrNDRc3Nfk0=; 
 b=hrpDYTmFqvSBorgvRcx0EZLs4t2NkSQbHvhtQmZ8G6vtjvG8QiSTAMOMWXJxyZODTb1I8Bn2Ac42kSAu2CEXJHNT3QtJ1Kbi1LxQeq8uEUJzV3eP/Y5YFGSLgi6Y6Bm3ITPnCxdo+uqoikcrqY24CzslZGT8BnWYwxOns+/U91A=
ARC-Authentication-Results: i=1; mx.zoho.com;
 dkim=pass  header.i=aoeu2code.com;
 spf=pass  smtp.mailfrom=jefferson@HIDDEN;
 dmarc=pass header.from=<jefferson@HIDDEN>
 header.from=<jefferson@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1570149938; 
 s=zoho; d=aoeu2code.com; i=jefferson@HIDDEN;
 h=Subject:To:Cc:References:From:Message-ID:Date:MIME-Version:In-Reply-To:Content-Type;
 l=2222; bh=ttUV/eHyh7IuuMuieQvkZVAgmZn1q2bPzrNDRc3Nfk0=;
 b=mQsSNyo3d9eZ+nEOvfGE1fBnMReglebgn34l7WOE50E+tpXpsGtfojf7GP9daZHy
 3uFkTo96hwipTnkakGglbX7KR+PnrHQ9JJgMETjMatTwMVW7VSQ3Xl6848LMJEB3rtI
 4qKhyl6ZwX/XZT1hLfIbJB6iFhj9QGRZqTBFM6hs=
Received: from [192.168.1.2] (96.78.87.197 [96.78.87.197]) by mx.zohomail.com
 with SMTPS id 1570149938205104.88231698629409;
 Thu, 3 Oct 2019 17:45:38 -0700 (PDT)
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
 <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
 <11149d62-74f2-aa1c-cab5-cabd248658eb@HIDDEN>
From: Jefferson Carpenter <jefferson@HIDDEN>
Message-ID: <e3bf2660-25d2-f751-305f-0501fc065a2b@HIDDEN>
Date: Fri, 4 Oct 2019 00:45:26 +0000
User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <11149d62-74f2-aa1c-cab5-cabd248658eb@HIDDEN>
Content-Type: multipart/mixed; boundary="------------23E807C77752140E1C17B685"
Content-Language: en-US
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 136.143.188.53
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.
--------------23E807C77752140E1C17B685
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

On 10/2/2019 8:54 AM, martin rudalics wrote:
>  > Adding a single additional key might sound reasonable, but here
>  > you're asking me to add two additional keys to my global bindings
>=20
> As a rule, Emacs uses two keys to implement back & forth navigation
> (scroll-up/-down, forward-/backward-word, next-/previous-line).
>=20
>  > when a two-character code change would make it unneeded (+" t").
>=20
> Sorry.=C2=A0 I'm missing you here.

Here, I've attached the patch I'm thinking of.

--------------23E807C77752140E1C17B685
Content-Type: text/plain; charset=UTF-8;
 name="0001-smaller-patch.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="0001-smaller-patch.patch"

RnJvbSA0YzIxNWI0MmE3NjUxYmMxNTU3MGE0YzE4MmE5MTNlZDFjMDE2MDBiIE1vbiBTZXAg
MTcgMDA6MDA6MDAgMjAwMQpGcm9tOiBqZWZmZXJzb25jYXJwZW50ZXIgPGplZmZlcnNvbmNh
cnBlbnRlcjJAZ21haWwuY29tPgpEYXRlOiBGcmksIDQgT2N0IDIwMTkgMDA6NDM6NTcgKzAw
MDAKU3ViamVjdDogW1BBVENIXSBzbWFsbGVyIHBhdGNoCgotLS0KIGxpc3Avd2luZG93LmVs
IHwgMiArLQogMSBmaWxlIGNoYW5nZWQsIDEgaW5zZXJ0aW9uKCspLCAxIGRlbGV0aW9uKC0p
CgpkaWZmIC0tZ2l0IGEvbGlzcC93aW5kb3cuZWwgYi9saXNwL3dpbmRvdy5lbAppbmRleCBk
OTNlYzBhZGQ2Li43NjhiZDY4NzA2IDEwMDY0NAotLS0gYS9saXNwL3dpbmRvdy5lbAorKysg
Yi9saXNwL3dpbmRvdy5lbApAQCAtODE4MSw3ICs4MTgxLDcgQEAgZnJvbSB0aGUgbGlzdCBv
ZiBjb21wbGV0aW9ucyBhbmQgZGVmYXVsdCB2YWx1ZXMuIgogICAgICAgICAgICAgICAoc2V0
IChtYWtlLWxvY2FsLXZhcmlhYmxlICdpY29tcGxldGUtd2l0aC1jb21wbGV0aW9uLXRhYmxl
cykKICAgICAgICAgICAgICAgICAgICAoY29ucyByYnRzLWNvbXBsZXRpb24tdGFibGUKICAg
ICAgICAgICAgICAgICAgICAgICAgICBpY29tcGxldGUtd2l0aC1jb21wbGV0aW9uLXRhYmxl
cykpKSkKLSAgICAgIChyZWFkLWJ1ZmZlciBwcm9tcHQgKG90aGVyLWJ1ZmZlciAoY3VycmVu
dC1idWZmZXIpKQorICAgICAgKHJlYWQtYnVmZmVyIHByb21wdCAob3RoZXItYnVmZmVyIChj
dXJyZW50LWJ1ZmZlcikgdCkKICAgICAgICAgICAgICAgICAgICAoY29uZmlybS1ub25leGlz
dGVudC1maWxlLW9yLWJ1ZmZlcikpKSkpCiAKIChkZWZ1biB3aW5kb3ctbm9ybWFsaXplLWJ1
ZmZlci10by1zd2l0Y2gtdG8gKGJ1ZmZlci1vci1uYW1lKQotLSAKMi4xNi4xLndpbmRvd3Mu
NAoK
--------------23E807C77752140E1C17B685--






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 2 Oct 2019 08:54:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 02 04:54:47 2019
Received: from localhost ([127.0.0.1]:35336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFaPH-0007HF-Ms
	for submit <at> debbugs.gnu.org; Wed, 02 Oct 2019 04:54:47 -0400
Received: from mout.gmx.net ([212.227.17.22]:33333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iFaPG-0007H2-CV
 for 37514 <at> debbugs.gnu.org; Wed, 02 Oct 2019 04:54:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570006478;
 bh=n1K5+m5gpuYDViOU22WMTGxGayN1xRfqQ6H2TzmAN1I=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=bZsqmI51TiDAqcOvzQrB1BWAdzN3l6saRx5lQJtF6hn9w/02OXqGKivnyd0bK4qxZ
 XJ48e4Hi5OEAo/LBlie0hUX5Nqj3jJoRe375vvjqXB13DkYMMaOMQkTXl8nrFHWHtU
 2WvCjMMeVwFMwaxJNuwj6darFuWfEV0ak5J+V6O4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.203]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MJE27-1ia9OH0dFD-00KhRV; Wed, 02
 Oct 2019 10:54:38 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Jefferson Carpenter <jefferson@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
 <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <11149d62-74f2-aa1c-cab5-cabd248658eb@HIDDEN>
Date: Wed, 2 Oct 2019 10:54:36 +0200
MIME-Version: 1.0
In-Reply-To: <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:hjCFdO15q8nLFbUcTwruD9Y8e31pUekKvhkpKbjZy1d1U5WJYdN
 vG+fE0bBnPtrmMG2w/BHXIpFkFL/36sIuUoflqjB8hV96lKG8zyOZWtDR5taq2qR+4N3hAn
 unW4XoEhdLbU/p7alY2dnPN/bw3z+aKCGSohhGtVX3E0fA/G2MPxB5kkzN2fnBgNteLYGyD
 yIMG9pL93fFZEGvjBhBUw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:HIg1VG3+ZzQ=:B1EOz6IbraE3FjC2K8fQTo
 fNf9OvEhy1QEAdxaezH89yzqQstO86R2dq10V1PKv1+FfiVa8YBLRIXdkOA64JJadAzo+PRVa
 1NCQ2BjU/SWak8VO99j/6VG9OmT8C1iEtZkm3E25iddYDDd+xX7oNPxE4wHUCF4YDqagMjY1v
 t+/0SBiQoGFY9SW3WQanIfoDuNqdhKT9poWMeARUtXrkw/7xWCj5p9fMLbpsdN1tUnChgESRm
 ErgVe8B7Uhsouvmdsn9Ch0cYGh5Ka+xtxZ5FqPJtuHuDK5Te2lHUrlOXGH9IJLi4rK3ws3mQ1
 +kIzPNBNf14n5m1Q7cdLt32WSycw0srrznabEBqTgdgScBIbEuxWG4PpwWpXWwAoz8OKLtaFy
 nJw295jsFqa9yjOII8bZPk8+owq6P5i6qN0SH689OosB7OgU314o+XLq4BL7yGKvUV3uIS8xj
 ssXGBBeGR5X0zGgp6ZRqxmUSMTw6Povg5Pg7YXWxpQTYk/djlNt5LVXRW4NbFg4NPv6PNdbWC
 vVc2ukxwqCVhmuqv3fWzMlLFHcip47QaMFuE3Lv1rE863Pp0ERTCILWJn64ASaLh3SvfHWtzs
 M7QuNIBzj3G9BKDzSWoMy0J9sMbdRapp/F21qF77Bvp+aNAExvt2BF0wUwpyJl7+NPyrUP8wZ
 PkUIrAFeaaKIbDeT21IqJUNM25T4Sz0IZXJSh/SVUCZMs+qgBFEawPrs0AeULeQXZ+0ill3Df
 dtaCMw6vm/ZV8TLEZeTvawbxCHFwgC8bnyTqVuEy5/0jsndkRvBKYItG+kzLP9mP7leRFAdse
 4cXbzik4JDQmLDU9J7fB19B1nD8TK56Vw9cTrq4Vj1HcgupKNcI/QXusCxXrlwj9AWopsf06q
 unoW8xX+PIAY4JtU3reUWzWuNfVsg2hcVLa1cr3o+//q+OBYXvGTeznwyKyyCs5ZMzOxmntzZ
 S91e2987LYU0w2q3cOaMQQs94LnSuMDnvgWQTuEfJfImMtC+FgU6coyY+ADsyJjTtihbJLr7k
 aPdLqGv8WRcTHVmNc3a/5wS/GgrUQtjxroacsROzVeJDCB1fvlcXnO1ezWl1Pcff4pHvNUNTE
 D2JqpW4Le/Bwd79JV6yL0Gs9Q85Ol2vktvRfU4WUmTWnjpOlQD0ArTQYtmra6m0VZt7xP9Tf7
 lVPcN+rfiG4QopadHXMOm7Idfa6VdaedK2ekmXadIIjXq6fD5wfOKgkTE13fRCpfSyP33BrhE
 wlVVY7ui5nzquCi49EMWk+Qz7NPQY4nRbywGmrzCQkL/NOXn1zxVfJF+ZkQ0=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37514
Cc: bug-gnu-emacs@HIDDEN, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Adding a single additional key might sound reasonable, but here
 > you're asking me to add two additional keys to my global bindings

As a rule, Emacs uses two keys to implement back & forth navigation
(scroll-up/-down, forward-/backward-word, next-/previous-line).

 > when a two-character code change would make it unneeded (+" t").

Sorry.  I'm missing you here.

 > The patch I attached to the original email just adds a customization
 > setting to make that a more general option.

I don't oppose your patch.  But as Eli's reaction shows we probably
need some additional motivation for installing it.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Oct 2019 08:54:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 02 04:54:57 2019
Received: from localhost ([127.0.0.1]:35339 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFaPQ-0007Hd-VB
	for submit <at> debbugs.gnu.org; Wed, 02 Oct 2019 04:54:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:51241)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iFaPP-0007HT-25
 for submit <at> debbugs.gnu.org; Wed, 02 Oct 2019 04:54:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41152)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rudalics@HIDDEN>) id 1iFaPN-0000EH-TJ
 for bug-gnu-emacs@HIDDEN; Wed, 02 Oct 2019 04:54:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1iFaPM-0004WS-Ry
 for bug-gnu-emacs@HIDDEN; Wed, 02 Oct 2019 04:54:53 -0400
Received: from mout.gmx.net ([212.227.17.22]:45685)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rudalics@HIDDEN>)
 id 1iFaPH-0004Sx-V8; Wed, 02 Oct 2019 04:54:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570006478;
 bh=n1K5+m5gpuYDViOU22WMTGxGayN1xRfqQ6H2TzmAN1I=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=bZsqmI51TiDAqcOvzQrB1BWAdzN3l6saRx5lQJtF6hn9w/02OXqGKivnyd0bK4qxZ
 XJ48e4Hi5OEAo/LBlie0hUX5Nqj3jJoRe375vvjqXB13DkYMMaOMQkTXl8nrFHWHtU
 2WvCjMMeVwFMwaxJNuwj6darFuWfEV0ak5J+V6O4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.203]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MJE27-1ia9OH0dFD-00KhRV; Wed, 02
 Oct 2019 10:54:38 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Jefferson Carpenter <jefferson@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
 <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <11149d62-74f2-aa1c-cab5-cabd248658eb@HIDDEN>
Date: Wed, 2 Oct 2019 10:54:36 +0200
MIME-Version: 1.0
In-Reply-To: <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:hjCFdO15q8nLFbUcTwruD9Y8e31pUekKvhkpKbjZy1d1U5WJYdN
 vG+fE0bBnPtrmMG2w/BHXIpFkFL/36sIuUoflqjB8hV96lKG8zyOZWtDR5taq2qR+4N3hAn
 unW4XoEhdLbU/p7alY2dnPN/bw3z+aKCGSohhGtVX3E0fA/G2MPxB5kkzN2fnBgNteLYGyD
 yIMG9pL93fFZEGvjBhBUw==
X-UI-Out-Filterresults: notjunk:1;V03:K0:HIg1VG3+ZzQ=:B1EOz6IbraE3FjC2K8fQTo
 fNf9OvEhy1QEAdxaezH89yzqQstO86R2dq10V1PKv1+FfiVa8YBLRIXdkOA64JJadAzo+PRVa
 1NCQ2BjU/SWak8VO99j/6VG9OmT8C1iEtZkm3E25iddYDDd+xX7oNPxE4wHUCF4YDqagMjY1v
 t+/0SBiQoGFY9SW3WQanIfoDuNqdhKT9poWMeARUtXrkw/7xWCj5p9fMLbpsdN1tUnChgESRm
 ErgVe8B7Uhsouvmdsn9Ch0cYGh5Ka+xtxZ5FqPJtuHuDK5Te2lHUrlOXGH9IJLi4rK3ws3mQ1
 +kIzPNBNf14n5m1Q7cdLt32WSycw0srrznabEBqTgdgScBIbEuxWG4PpwWpXWwAoz8OKLtaFy
 nJw295jsFqa9yjOII8bZPk8+owq6P5i6qN0SH689OosB7OgU314o+XLq4BL7yGKvUV3uIS8xj
 ssXGBBeGR5X0zGgp6ZRqxmUSMTw6Povg5Pg7YXWxpQTYk/djlNt5LVXRW4NbFg4NPv6PNdbWC
 vVc2ukxwqCVhmuqv3fWzMlLFHcip47QaMFuE3Lv1rE863Pp0ERTCILWJn64ASaLh3SvfHWtzs
 M7QuNIBzj3G9BKDzSWoMy0J9sMbdRapp/F21qF77Bvp+aNAExvt2BF0wUwpyJl7+NPyrUP8wZ
 PkUIrAFeaaKIbDeT21IqJUNM25T4Sz0IZXJSh/SVUCZMs+qgBFEawPrs0AeULeQXZ+0ill3Df
 dtaCMw6vm/ZV8TLEZeTvawbxCHFwgC8bnyTqVuEy5/0jsndkRvBKYItG+kzLP9mP7leRFAdse
 4cXbzik4JDQmLDU9J7fB19B1nD8TK56Vw9cTrq4Vj1HcgupKNcI/QXusCxXrlwj9AWopsf06q
 unoW8xX+PIAY4JtU3reUWzWuNfVsg2hcVLa1cr3o+//q+OBYXvGTeznwyKyyCs5ZMzOxmntzZ
 S91e2987LYU0w2q3cOaMQQs94LnSuMDnvgWQTuEfJfImMtC+FgU6coyY+ADsyJjTtihbJLr7k
 aPdLqGv8WRcTHVmNc3a/5wS/GgrUQtjxroacsROzVeJDCB1fvlcXnO1ezWl1Pcff4pHvNUNTE
 D2JqpW4Le/Bwd79JV6yL0Gs9Q85Ol2vktvRfU4WUmTWnjpOlQD0ArTQYtmra6m0VZt7xP9Tf7
 lVPcN+rfiG4QopadHXMOm7Idfa6VdaedK2ekmXadIIjXq6fD5wfOKgkTE13fRCpfSyP33BrhE
 wlVVY7ui5nzquCi49EMWk+Qz7NPQY4nRbywGmrzCQkL/NOXn1zxVfJF+ZkQ0=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.227.17.22
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

 > Adding a single additional key might sound reasonable, but here
 > you're asking me to add two additional keys to my global bindings

As a rule, Emacs uses two keys to implement back & forth navigation
(scroll-up/-down, forward-/backward-word, next-/previous-line).

 > when a two-character code change would make it unneeded (+" t").

Sorry.  I'm missing you here.

 > The patch I attached to the original email just adds a customization
 > setting to make that a more general option.

I don't oppose your patch.  But as Eli's reaction shows we probably
need some additional motivation for installing it.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 2 Oct 2019 03:36:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 23:36:25 2019
Received: from localhost ([127.0.0.1]:35274 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFVRA-0007z5-Ns
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 23:36:24 -0400
Received: from sender4-of-o52.zoho.com ([136.143.188.52]:21298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jefferson@HIDDEN>) id 1iFVR8-0007yq-Dj
 for 37514 <at> debbugs.gnu.org; Tue, 01 Oct 2019 23:36:22 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1569987377; cv=none; d=zoho.com; s=zohoarc; 
 b=Z/3ZeFTXzr+orAtu8WM1ThIDckEyg1sNacoop5h5Q3kKZj3qjjd9LJFmtaJhs01aNhqSl+eUw05djcS1CedCdqXYTAwC/y20+ox5NGiu+WYYVXJHdXdQgjoWy8AnhURcNKqH4W4r9LV4HjMaF3QCyb7wYEEi2QpBAA8AYA+TdM4=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1569987377;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=bQAbkFBFG6lBLWUxKF0i31Fk1EHt8//W056xUw4UeI0=; 
 b=B4wapJfJnZJXgNnbwMW7mYTDG2PfytjCxOK7CqH07jUTikWRZ2Y6IknIi3iKNLVVQHN3P7h80G+w3STnP2YGv9hCOIimaOdKZDsSyINIRntyyeVXCZyciqbEP47Hkg+n2AxguRezVY3DszXrMpbPr493WG3iwU0YTLyI6yzIGBE=
ARC-Authentication-Results: i=1; mx.zoho.com;
 dkim=pass  header.i=aoeu2code.com;
 spf=pass  smtp.mailfrom=jefferson@HIDDEN;
 dmarc=pass header.from=<jefferson@HIDDEN>
 header.from=<jefferson@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1569987377; 
 s=zoho; d=aoeu2code.com; i=jefferson@HIDDEN;
 h=Subject:From:To:Cc:Message-ID:References:Date:MIME-Version:In-Reply-To:Content-Type:Content-Transfer-Encoding;
 l=771; bh=bQAbkFBFG6lBLWUxKF0i31Fk1EHt8//W056xUw4UeI0=;
 b=cXrm48KlA2oawt7njNwVJLYhAudf00ZLrrgj+y4x27kpLCx5V6XL4trLXV9/ViE7
 OoC8RQrENSrZcbA/iwXb26xdZaMIvLX7NQXcLtXi6WleqaWrjNGdTLMPn+bUMA+q5CC
 pf6OBk4zmaA6JI8yuOD67OWLu31JAw+hQWXtMNog=
Received: from [192.168.1.2] (96.78.87.197 [96.78.87.197]) by mx.zohomail.com
 with SMTPS id 1569987375502601.150433668119;
 Tue, 1 Oct 2019 20:36:15 -0700 (PDT)
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
From: Jefferson Carpenter <jefferson@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Message-ID: <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
Date: Wed, 2 Oct 2019 03:36:07 +0000
User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: bug-gnu-emacs@HIDDEN, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> On 9/27/2019 8:16 AM, martin rudalics wrote:
>=20
>> =C2=A0> Switch-to-prev-buffer seems to do the same thing - executing it
>> =C2=A0> twice does not return you to the buffer you started at.
>>
>> 'switch-to-prev-buffer' and 'switch-to-next-buffer' are the canonical
>> commands for navigating a specific window's buffer list (here these
>> are bound to <M-left> and <M-right> because I don't care for word-like
>> movement).
>=20

Adding a single additional key might sound reasonable, but here you're=20
asking me to add two additional keys to my global bindings when a=20
two-character code change would make it unneeded (+" t").  The patch I=20
attached to the original email just adds a customization setting to make=20
that a more general option.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Oct 2019 03:36:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 23:36:25 2019
Received: from localhost ([127.0.0.1]:35276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFVRB-0007z7-1T
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 23:36:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:38796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jefferson@HIDDEN>) id 1iFVR8-0007yt-WB
 for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 23:36:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39371)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jefferson@HIDDEN>) id 1iFVR7-0004c2-TF
 for bug-gnu-emacs@HIDDEN; Tue, 01 Oct 2019 23:36:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jefferson@HIDDEN>) id 1iFVR6-0007ll-3P
 for bug-gnu-emacs@HIDDEN; Tue, 01 Oct 2019 23:36:20 -0400
Received: from sender4-of-o52.zoho.com ([136.143.188.52]:21294)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jefferson@HIDDEN>)
 id 1iFVR5-0007iv-RU; Tue, 01 Oct 2019 23:36:20 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1569987377; cv=none; d=zoho.com; s=zohoarc; 
 b=Z/3ZeFTXzr+orAtu8WM1ThIDckEyg1sNacoop5h5Q3kKZj3qjjd9LJFmtaJhs01aNhqSl+eUw05djcS1CedCdqXYTAwC/y20+ox5NGiu+WYYVXJHdXdQgjoWy8AnhURcNKqH4W4r9LV4HjMaF3QCyb7wYEEi2QpBAA8AYA+TdM4=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1569987377;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=bQAbkFBFG6lBLWUxKF0i31Fk1EHt8//W056xUw4UeI0=; 
 b=B4wapJfJnZJXgNnbwMW7mYTDG2PfytjCxOK7CqH07jUTikWRZ2Y6IknIi3iKNLVVQHN3P7h80G+w3STnP2YGv9hCOIimaOdKZDsSyINIRntyyeVXCZyciqbEP47Hkg+n2AxguRezVY3DszXrMpbPr493WG3iwU0YTLyI6yzIGBE=
ARC-Authentication-Results: i=1; mx.zoho.com;
 dkim=pass  header.i=aoeu2code.com;
 spf=pass  smtp.mailfrom=jefferson@HIDDEN;
 dmarc=pass header.from=<jefferson@HIDDEN>
 header.from=<jefferson@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1569987377; 
 s=zoho; d=aoeu2code.com; i=jefferson@HIDDEN;
 h=Subject:From:To:Cc:Message-ID:References:Date:MIME-Version:In-Reply-To:Content-Type:Content-Transfer-Encoding;
 l=771; bh=bQAbkFBFG6lBLWUxKF0i31Fk1EHt8//W056xUw4UeI0=;
 b=cXrm48KlA2oawt7njNwVJLYhAudf00ZLrrgj+y4x27kpLCx5V6XL4trLXV9/ViE7
 OoC8RQrENSrZcbA/iwXb26xdZaMIvLX7NQXcLtXi6WleqaWrjNGdTLMPn+bUMA+q5CC
 pf6OBk4zmaA6JI8yuOD67OWLu31JAw+hQWXtMNog=
Received: from [192.168.1.2] (96.78.87.197 [96.78.87.197]) by mx.zohomail.com
 with SMTPS id 1569987375502601.150433668119;
 Tue, 1 Oct 2019 20:36:15 -0700 (PDT)
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
From: Jefferson Carpenter <jefferson@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Message-ID: <4b1c1e76-2e8b-7877-97bf-49fab5809147@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
 <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
Date: Wed, 2 Oct 2019 03:36:07 +0000
User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 136.143.188.52
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> On 9/27/2019 8:16 AM, martin rudalics wrote:
>=20
>> =C2=A0> Switch-to-prev-buffer seems to do the same thing - executing it
>> =C2=A0> twice does not return you to the buffer you started at.
>>
>> 'switch-to-prev-buffer' and 'switch-to-next-buffer' are the canonical
>> commands for navigating a specific window's buffer list (here these
>> are bound to <M-left> and <M-right> because I don't care for word-like
>> movement).
>=20

Adding a single additional key might sound reasonable, but here you're=20
asking me to add two additional keys to my global bindings when a=20
two-character code change would make it unneeded (+" t").  The patch I=20
attached to the original email just adds a customization setting to make=20
that a more general option.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 28 Sep 2019 21:00:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 17:00:50 2019
Received: from localhost ([127.0.0.1]:51385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEJph-0002Zv-RS
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 17:00:50 -0400
Received: from sender4-of-o52.zoho.com ([136.143.188.52]:21298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jefferson@HIDDEN>) id 1iEJpf-0002Y9-1L
 for 37514 <at> debbugs.gnu.org; Sat, 28 Sep 2019 17:00:48 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1569704439; cv=none; d=zoho.com; s=zohoarc; 
 b=MEtXBTpiEYGnB+IKtPkUuhPoJgG1hF5Vhj/4QUONKY4vkjQmfShjmhIy9PlYLPB8AENMcNDrjhSbYbGthkwr0DUgfLhE3FZPMJdnyaqCVE1Ndj1D3qsNZQECIsJMk1BM22EuYezy5qggGjvKp4pg5IJlG2zrhFlz2/bx25CFRrQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1569704439;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=MpkTOfUW2ijq3aNtCXZ1/ztdykee/tMeFgCfR3I5Pa4=; 
 b=OTocuMzv67eZ+3wWSuZNXfV6aLnpfYdfgy4k6ZN7Fh2fo2GAgH+r9SXK/8RMm1USX9ln8khzN0txOmoByA+HY1BbtQrIjfMVxSnkX8GeCLvQwccgUbv2Km9A4M0t9UCm/qRemQZm+qNsRNh+E3/9C4AMlr2TxEyummVSAxWqaa4=
ARC-Authentication-Results: i=1; mx.zoho.com;
 dkim=pass  header.i=aoeu2code.com;
 spf=pass  smtp.mailfrom=jefferson@HIDDEN;
 dmarc=pass header.from=<jefferson@HIDDEN>
 header.from=<jefferson@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1569704439; 
 s=zoho; d=aoeu2code.com; i=jefferson@HIDDEN;
 h=Subject:To:Cc:References:From:Message-ID:Date:MIME-Version:In-Reply-To:Content-Type:Content-Transfer-Encoding;
 l=506; bh=MpkTOfUW2ijq3aNtCXZ1/ztdykee/tMeFgCfR3I5Pa4=;
 b=sUlVe0Gz99J8a63W4vnWgmzueeBbbZbYxamYg/tEzgiza7XnhW+45A+/BcyLbyzt
 UEpna7lk3BxsdjOpf6VeI2IZXlqY5r9kh6WiCKr+8+a3Ap5GCjVQhtWhx8GYSSVYcmW
 TZCCtU3OyyfYIfcaojCgO1WC6QDKhI8FgLiMxEOU=
Received: from [192.168.1.2] (96.78.87.197 [96.78.87.197]) by mx.zohomail.com
 with SMTPS id 1569704438394882.3347182553189;
 Sat, 28 Sep 2019 14:00:38 -0700 (PDT)
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
 <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
From: Jefferson Carpenter <jefferson@HIDDEN>
Message-ID: <20f37d8b-2500-3baf-bd39-43a997753a96@HIDDEN>
Date: Sat, 28 Sep 2019 21:00:36 +0000
User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/27/2019 8:16 AM, martin rudalics wrote:

>  > Switch-to-prev-buffer seems to do the same thing - executing it
>  > twice does not return you to the buffer you started at.
> 
> 'switch-to-prev-buffer' and 'switch-to-next-buffer' are the canonical
> commands for navigating a specific window's buffer list (here these
> are bound to <M-left> and <M-right> because I don't care for word-like
> movement).

Those are not suitable either because they would require a multiplicity 
of key bindings.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 27 Sep 2019 08:16:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 04:16:59 2019
Received: from localhost ([127.0.0.1]:45818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDlQx-0003lg-44
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 04:16:59 -0400
Received: from mout.gmx.net ([212.227.15.18]:35749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iDlQu-0003lS-O6
 for 37514 <at> debbugs.gnu.org; Fri, 27 Sep 2019 04:16:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1569572204;
 bh=ECJ0yjVj+wksJjA7b6yLXvrYYmE6BOebrvpPjk7jQbI=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=HbkLjehR51poilvT9AuZs50BX/vhzlvtzG73SGYgc6OKyd4NcSGoldXBNevNRS+xe
 LUIFoAZqmd//rZ4MKoCPABl83yhJJ77xwtZ7QikaseA0Awlxxc6k+ocTQo/HJa0FF5
 Y9MORH1n4jgrwlfoIVdmpj21jcpqYzoZmXX7FGrk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.188]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MCsPy-1iMb7L3Mn2-008vrS; Fri, 27
 Sep 2019 10:16:43 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Jefferson Carpenter <jefferson@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <6522557b-5e2c-c488-d5d1-001e2ab5c831@HIDDEN>
Date: Fri, 27 Sep 2019 10:16:43 +0200
MIME-Version: 1.0
In-Reply-To: <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:KGLM89clpDJAS8L/Q5IFbFcGYMslRYQrVFNQuz3z9JWkHNt8qj0
 Sl0InIo+1PA+aHP3SJYrxE4oPe4u74485dTyNfO3ze3r5Bhqnyl7iI00oMl/q56SZEvyEnX
 yPLc8Wnq6G+JcuaTE1AS8a59USDT1JpUbiUFJORDGoRfwRPbvtHzwaSpGopGCF6h6pqvnph
 nMMWu2rfz39wrx2WWOv4A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:k+exIgrkFVM=:i43UiZzmCk++s7raF9mh4l
 dMAqYqFmUwgNbC2z5kbBNiKvAQqZW8z1nakoV/BSfewBU/uLCkZXDM82na1Hi1UCTmyX/xS+V
 /ZBV+pRGxhRsHd1Lc0MySP8XYQlJCKJ1j3pSNvqcIy+m2Mt7fDKfTvxFW3IYACxpfnxB9JYa/
 M7gevMeLQgeuKjdpp0y4gBCexib4pXsUlDAI8Ji6jPAkTBjoftogegGTGDnA8dZo/RuNgoTT0
 CfE6wWkOdDdoz17gVqD8bHtXifNOZLCG0GDWkE6dUccAE7mrtyKzWNSnjJ8wnyUsQZJJd5EWV
 RpIRkYgm/h17WTYxqM73hG+MzuOREy9xRttJuUBPlb2NSvamowO53FWqFZVVWkomj+gwobspV
 OLI2FVMDmD7r5FieTK44TS14Hq2S9gSunvqQQEGCXdNvMoiFqgIWdxvMbc2ZTfE3GTLriM6rQ
 Vv49T/I9q4AQWjt2ngi/JvCqGuyRUoRWasLT83IDWLhwwsBEdc0RLZqiEyGcDOWCdDjIu+Sxd
 2kJuMB0eaQxG/H9DHrz/BxrH2Oq3edRpnnbsLPteV8rLsa2nQIcs/8Ah9PP+GKFPimLWqUtWU
 YGxAQL0C57qNVZxNyn6G5/0YPibTU2sYcpSpsfFE7T/SJoGXe1Ib6kFJ8xAML9AHWzqaX5PX+
 IIuaEhjW6sZw5b8MSItrhqOvCVYQUZHdMtaLvEh8Jm/MJSD1s81HGF8Ju+/7IUySH+2f+CcSZ
 bRhmmWo+PB4xFiXMW9Pfv4u/BT3GKcsMdiclckRYnnydNTWbXBjzkhc7ISLSve16KBe3Ce2aq
 48AfgmcQ/KMjQawQa5sNWtpDnrNKmqeNBN2kfqmdQdy3apgo6c4Dmf7aq3dklWbT/7X1eaD+u
 tS3sAg/tZXXAVndDYTsZ0eXLqAic6NwnKIEcRAZw98QOJWqg6mBuJdigiPNnWuML9uC5IGAYv
 hqbNt6vIEfXUdkGwprugERmns8MLOqAH31rCYvXL7STM5ZuueikbRpfzjnB4d4Ld4qc6tGsn6
 tvOgay5IcCvegVpOzSZ7cQ28+cSqVYqWJ4Ayz77Y2pfxWlWuyySlynsQuKDo6gjl2j5Y9RhLU
 XjMjp1Af7lwr2FrYOhgeN15+bKPLDl9VYR5Js4Ios1qEJdcdRa22kulc4yLBWfvx1+1LMaHYR
 BD7bORgk9kC6U1+gnF75fiiUSS0szCVaRIAMmdfvyxdmf+bc6nqBEWRbHlrAzC9ArcWnjLllI
 P7y4hT2ANxhSv5fviA/gzMxnTQS4VEZwsfXMLe5Kva9Yx0vvSQ3auPtIS3h0=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > No, quit-window buries the buffer that you leave, even though it
 > switches directly to the previous buffer on the top of the buffer
 > list, and so it cannot be used to alternate back and fourth.

In your initial post you did not mention that you wanted "to alternate
back and fourth".  'quit-window' gets you out of nested invocations of
'display-buffer', so it's indeed not suitable.

 > Switch-to-prev-buffer seems to do the same thing - executing it
 > twice does not return you to the buffer you started at.

'switch-to-prev-buffer' and 'switch-to-next-buffer' are the canonical
commands for navigating a specific window's buffer list (here these
are bound to <M-left> and <M-right> because I don't care for word-like
movement).

So if we want to convince people that C-x b is at least as convenient
for this purpose - and we have to do that when we add such an option,
mention it in NEWS, add manual entries for it and ask people to notice
all that - you should tell why the above commands are so inconvenient
for navigating the buffer list.

 > Besides,
 > using these functions would require adding an extra key in addition
 > to 'C-x b', and keys are at a premium.

This could be an argument.  Then we probably should find a few users
here (I never use C-x b because I find that prompt far too annoying)
supporting it.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 26 Sep 2019 19:14:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 15:14:21 2019
Received: from localhost ([127.0.0.1]:45221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDZDZ-0001te-0Z
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 15:14:21 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jefferson@HIDDEN>) id 1iDZDX-0001tS-EQ
 for 37514 <at> debbugs.gnu.org; Thu, 26 Sep 2019 15:14:19 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1569525254; cv=none; d=zoho.com; s=zohoarc; 
 b=ijOUce+EuGWTRam1D4IofSJ5due4eeAGTrC4cHG7X3G6VRIFbfFXoqQ1+O9Umr4F+6iE93zC6XdMHJsHBWJ3QpqNUODOu10i7gu1DvuRtJiYptx9ddXQwhYwNOTPn5eS2ICbotKEJsCd2ohmRv6+bnCzZEGwz2gh28ueWE2/uAA=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1569525254;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=O2T4JnZEzCUO7gjiGk0MHCBy4HsibMFmDi910VRJ9FQ=; 
 b=hGirBt4cia9tHRoNwXnNCxSTqd4Hh+jxUKa98qwoAjtpt+ZWcuPn1bQSJg1EMZ5FOlQ+AsDzTDRyuFxXRzOJO0OF2Ms2Yls8o05kFiXxzAmTOxULhLtqUZXz+G+k1aNICl2T+9VqjCwVJo2/z+vT0oBQX/3DN9zBSn9iFsKO29w=
ARC-Authentication-Results: i=1; mx.zoho.com;
 dkim=pass  header.i=aoeu2code.com;
 spf=pass  smtp.mailfrom=jefferson@HIDDEN;
 dmarc=pass header.from=<jefferson@HIDDEN>
 header.from=<jefferson@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1569525254; 
 s=zoho; d=aoeu2code.com; i=jefferson@HIDDEN;
 h=Date:From:To:Cc:Message-ID:In-Reply-To:References:Subject:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=2000; bh=O2T4JnZEzCUO7gjiGk0MHCBy4HsibMFmDi910VRJ9FQ=;
 b=nAnaQIvLfEzm6IGKewSPa32T76yRiyMMXK5+gZlDR3V5FkoBexofwzD2Bpkd2vqg
 Ni6y1QpHHqhzz08bh83+nS2lQD7prPr0rP0vhWzUTiNPygWVqdUduDrnJoQUNpQVc20
 8TRyyI3baM1x87aRHlll+dj6EaGh61/N16/N32wg=
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1569525254308787.9329163832814;
 Thu, 26 Sep 2019 12:14:14 -0700 (PDT)
Date: Thu, 26 Sep 2019 19:14:14 +0000
From: Jefferson Carpenter <jefferson@HIDDEN>
To: "Eli Zaretskii" <eliz@HIDDEN>
Message-ID: <16d6efec8a2.e8eeab0199294.6266252545110362237@HIDDEN>
In-Reply-To: <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
 <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
X-Priority: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

+bug-gnu-emacs

---- On Thu, 26 Sep 2019 19:13:08 +0000 Jefferson Carpenter <jefferson@HIDDEN> wrote ----

 > ---- On Thu, 26 Sep 2019 07:12:23 +0000 Eli Zaretskii <eliz@HIDDEN> wrote ---- 
 >  
 >  > 
 >  > Why is it important what "C-x b" offers as the default?  You can still 
 >  > type the name of the buffer you want and switch to it. 
 >  
 > Because it requires fewer key strokes. 
 >  
 >  > 
 >  > FWIW, I use the workflow you mention from time to time, and I never 
 >  > felt the need for such an option, because its effect will be global on 
 >  > the entire session, and I don't want it everywhere.  I'd need to reset 
 >  > such an option when I go back to the other workflows, which would be a 
 >  > nuisance. 
 >  
 >  > 
 >  > And if the above is somehow still not satisfactory, you can always 
 >  > write a trivial wrapper around switch-to-buffer, which behaves the way 
 >  > you like.  Why do we need to canonicalize this in Emacs? 
 >  
 > Because IMHO, emacs (and any software) should do as little as possible by default, or at least easily allow itself to be configured to do as little as possible.  I think it makes the most sense that switch-to-buffer takes you back to the last buffer you were visiting by default, without doing the extra work of preferring buffers that are not currently visible. 
 >  
 >  
 > ---- On Thu, 26 Sep 2019 07:20:53 +0000 martin rudalics <rudalics@HIDDEN> wrote ---- 
 >  
 >  > 
 >  > Wouldn't 'quit-window' accomplish that without any prompting?  Or 
 >  > 'switch-to-prev-buffer'? 
 >  > 
 >  > Thanks, martin 
 >  > 
 >  
 > No, quit-window buries the buffer that you leave, even though it switches directly to the previous buffer on the top of the buffer list, and so it cannot be used to alternate back and fourth.  Switch-to-prev-buffer seems to do the same thing - executing it twice does not return you to the buffer you started at.  Besides, using these functions would require adding an extra key in addition to 'C-x b', and keys are at a premium. 
 > 






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 26 Sep 2019 19:13:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 15:13:19 2019
Received: from localhost ([127.0.0.1]:45217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDZCZ-0001rP-Gm
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 15:13:19 -0400
Received: from sender4-of-o52.zoho.com ([136.143.188.52]:21209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jefferson@HIDDEN>) id 1iDZCU-0001r9-IX
 for 37514 <at> debbugs.gnu.org; Thu, 26 Sep 2019 15:13:15 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1569525190; cv=none; d=zoho.com; s=zohoarc; 
 b=VulMRAkG9NPvMS5QuOY6yzQmwgNLaxJeOLQzwIgxadSh4u0/dVWmpjeOls8Ft+rYGaCkI924eoUsYy3imMICqoHcF8V9P3o8vl+grbtDVs5v2IAZTsd3wKOGqlMaaPS7YHYXKaMemDuYZi5IQX+WyOk7M+U2S94FKQpP6xHET6k=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1569525190;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=cb7NG7v5N3H1QYIEH/00GfEGMh6u/KxgjKAPBjR31q0=; 
 b=WdHQTf36VcquhZUYeBUAVx4hh85LXhkfEJoEWTGFTJuUfLgvsQTr/dkL7Pwin4SuFGSEVdahX1IhGDf6WGs+1PZeNgYNVpYtDR6aRht0wZwCeC636hlU5efrg67n0vj6GGRaL0IflhK83Jdy6N1b2dDmEqZ2hAByvNDTDqB+vRg=
ARC-Authentication-Results: i=1; mx.zoho.com;
 dkim=pass  header.i=aoeu2code.com;
 spf=pass  smtp.mailfrom=jefferson@HIDDEN;
 dmarc=pass header.from=<jefferson@HIDDEN>
 header.from=<jefferson@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1569525190; 
 s=zoho; d=aoeu2code.com; i=jefferson@HIDDEN;
 h=Date:From:To:Cc:Message-ID:In-Reply-To:References:Subject:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1807; bh=cb7NG7v5N3H1QYIEH/00GfEGMh6u/KxgjKAPBjR31q0=;
 b=BAnIfzwg0jX5Sr4d9vHVe6RFHjwMxIW7U+uL31FzL8RI0IbbOqKkId/O9vQU+mOQ
 n21XDirRbIFoNcswnY0Vh24l0HEeII0o4bs5mHlXvIAKS8jk14a3dia+k/y4MLGsfCj
 RCGlt0J3V6wbaypiz3vx6TYxfgiMMyWOd2EUMdNA=
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1569525188832494.6069484222453;
 Thu, 26 Sep 2019 12:13:08 -0700 (PDT)
Date: Thu, 26 Sep 2019 19:13:08 +0000
From: Jefferson Carpenter <jefferson@HIDDEN>
To: "Eli Zaretskii" <eliz@HIDDEN>
Message-ID: <16d6efdc8de.c1802a0599163.8459852292203240965@HIDDEN>
In-Reply-To: <83d0fnmsyw.fsf@HIDDEN>
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 <83d0fnmsyw.fsf@HIDDEN>
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
X-Priority: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
Cc: 37514 <37514 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---- On Thu, 26 Sep 2019 07:12:23 +0000 Eli Zaretskii <eliz@HIDDEN> wrote ----

 >  
 > Why is it important what "C-x b" offers as the default?  You can still 
 > type the name of the buffer you want and switch to it. 

Because it requires fewer key strokes.

 >  
 > FWIW, I use the workflow you mention from time to time, and I never 
 > felt the need for such an option, because its effect will be global on 
 > the entire session, and I don't want it everywhere.  I'd need to reset 
 > such an option when I go back to the other workflows, which would be a 
 > nuisance. 

 >  
 > And if the above is somehow still not satisfactory, you can always 
 > write a trivial wrapper around switch-to-buffer, which behaves the way 
 > you like.  Why do we need to canonicalize this in Emacs? 

Because IMHO, emacs (and any software) should do as little as possible by default, or at least easily allow itself to be configured to do as little as possible.  I think it makes the most sense that switch-to-buffer takes you back to the last buffer you were visiting by default, without doing the extra work of preferring buffers that are not currently visible.


---- On Thu, 26 Sep 2019 07:20:53 +0000 martin rudalics <rudalics@HIDDEN> wrote ----

 >  
 > Wouldn't 'quit-window' accomplish that without any prompting?  Or 
 > 'switch-to-prev-buffer'? 
 >  
 > Thanks, martin 
 > 

No, quit-window buries the buffer that you leave, even though it switches directly to the previous buffer on the top of the buffer list, and so it cannot be used to alternate back and fourth.  Switch-to-prev-buffer seems to do the same thing - executing it twice does not return you to the buffer you started at.  Besides, using these functions would require adding an extra key in addition to 'C-x b', and keys are at a premium.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 26 Sep 2019 07:21:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 03:21:12 2019
Received: from localhost ([127.0.0.1]:42624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDO5Q-0003Ee-Gi
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 03:21:12 -0400
Received: from mout.gmx.net ([212.227.15.15]:41869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iDO5J-0003Dh-6k
 for 37514 <at> debbugs.gnu.org; Thu, 26 Sep 2019 03:21:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1569482454;
 bh=KSOtsT/sve6wpona4WRUQgB9XokJAQc9bFML8/gJwNc=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=B0EM79nQcXf/Lu36FgFKIoQ28x2F4YlabDIQFddo7mWCyb/jm6eG3aYHYjc7Cu4AQ
 K3DGbcE8O4TwK6BlbQuDOnIgqK0R1trBKNIieCsPGUvZDPc7hZ28cXs6hJ/yzlJ7pQ
 w7uuhPOakwdZ+gX83aE2uhUERMGZovd7CMJPTfsY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.48]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M89Gj-1iId0P0htL-005Gv1; Thu, 26
 Sep 2019 09:20:54 +0200
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
To: Jefferson Carpenter <jefferson@HIDDEN>, 37514 <at> debbugs.gnu.org
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <12148222-f852-b28d-17a3-3a2024ace85c@HIDDEN>
Date: Thu, 26 Sep 2019 09:20:53 +0200
MIME-Version: 1.0
In-Reply-To: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:0xDyMExzVgezLQ/dc8a7V1ksJxd2zqzzU1ILr8fBXQFHgs299Pg
 DBcsN3NgqgBEkQ6VsHcEx0iP7sdbny9fH/rdZPraPgYeHaELa/Zrj55wRbDEgHnfFa1R5R9
 6l1vr8Li6i1DyQlHdO9wSpHZhRx8nYXUOolZfnm1/Cgp5gXLOs2X5DTuJLxEzBICCVR9c+a
 DIr+Y6DDIp6vCmiKZ57vQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:42jF0x0iIuk=:O7aZNcxUyXZvTIqBhKwRWj
 5/E2KANLQELSf1YGOWfN5cdkZyhcb1Iin7QOtGX7xqEadJWSqQmcP0O4eVZLeWuapE+YLNeXs
 ny6gl7c8BYi8lq44+lW0tmksJbUqo+QR6LMXsPHTTWySvpsKtiRCz9tdpJBdO6h2krWqPG45J
 FWZE87olYza3yiojqCYbpdG2qFrDmLUe0O4y9fGXSK9TiUiKmRc2xgu5pz6CiMm0GsNVofdSt
 QWs3xoEttIWZW3fF04QebxZsOv6tfFegrcABRt3+JbdECkhFNkb1lI8tO/cs2r3ebcBJUrMLE
 Nf9E/CbAi1AQjwM0tXiviyW9bAsKm2UqYIaTpABWZ5L8mv7QOTtL6fMqQXkW+ODca8RAZyHuC
 IQ1/SwCQwBZKaNZogY0s9+jY3RF8fmDGC44Y/SMxnweic+fLQZmYyUS1Ctf6xUt8UcZOS7Ku7
 mIalpttzbnM4zIhO17C6v9d4abCHXhskj7Db+ISC9OFmM9ErUSlmYOZJrphzjRHvSTkFw2Syy
 8qe6BEpFXNfBq/CeBwsPD/FWPBzI6CYupCpqWCXUBoC8r26MGvBz+wetl+smhJ9oAGpNXfM+P
 OW4sbVVPrazhrzMHB+/F5VYTcTCpQOsYQMs+7nK+6iPOClSL+KszBxXnEW+Ae81fRqeQvNSAT
 +7WfU2G5w8pJGimzhmmln2/kP/5t/XKcLHp2TE8UFiaEWcAamOZ9XZSt/RR1UXv3a7dtl/1c7
 6/JzCUYzC8rlzt7lrCPUyWrtK/9mfhg9wRfGjDvEozxVWczSxtZxU17gGpg7Yakcz2mb/wbpF
 jIt62QwVqr/YZRJ8t7ottqlwO2Hw1nUureNIzzu/MA5ro0QExjP/oRIkVL5K32n6/dJAe0A59
 uauBEDDxbfg+5M3Z3fbneayJ5nSsJ+d+/JeNyoqqaSR7ec4Cu8r2y+p+mpt/uYLttBdeMF/kD
 4lKlRXUD4VXI3a4uU2u1gXT7dxGpNWWoMNg+y09ccZmInNERM3BDIhPGWomwO21HEz6aC7HON
 Ew6dEmwtJwU8RkzS0y1s98Oo1v59Oh2/bBbR42+nZc+DRckXJU1WP8QwHu2A9/UcHQKEns5Is
 Tf68eY7OXfPmDhpo5qWM/uuCcCr9OooqOhl1JVAHIoAhxPLdLUGJ6fAz2gZrDBsKk3PYNxPDF
 oq2a6kw/URIxmAnzh3HJH7EJaFOZh/0aunBl7v+t9l/bt08IJBmfbcYrdezccm3ILwnwCmTiZ
 Po2k45fLMiJ+1BLZ3UR9yDgg4yRjlFz4Avm+3/Q==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37514
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > A not-uncommon workflow of mine is to have more than one window
 > looking at the same buffer in several different places.  Often in
 > one of these windows I switch to some other buffer (perhaps a shell)
 > and then want to switch directly back to the same place I was just
 > looking at in main buffer.  However since my main buffer is already
 > visible in another window, C-x b (switch-to-buffer) does not default
 > to that buffer, but prefers a buffer that is not already visible.
 > This customization setting allows users to override that behavior so
 > that switch-to-buffer does not prefer buffers that are not already
 > visible.

Wouldn't 'quit-window' accomplish that without any prompting?  Or
'switch-to-prev-buffer'?

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at 37514 <at> debbugs.gnu.org:


Received: (at 37514) by debbugs.gnu.org; 26 Sep 2019 07:12:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 03:12:53 2019
Received: from localhost ([127.0.0.1]:42620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDNxM-00031O-Tp
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 03:12:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iDNxK-00031B-KG
 for 37514 <at> debbugs.gnu.org; Thu, 26 Sep 2019 03:12:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53047)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iDNxC-0008VM-8q; Thu, 26 Sep 2019 03:12:42 -0400
Received: from [176.228.60.248] (port=2792 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iDNx7-0005cM-Ul; Thu, 26 Sep 2019 03:12:41 -0400
Date: Thu, 26 Sep 2019 10:12:23 +0300
Message-Id: <83d0fnmsyw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jefferson Carpenter <jefferson@HIDDEN>
In-reply-to: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
 (message from Jefferson Carpenter on Wed, 25 Sep 2019 21:24:45 +0000)
Subject: Re: bug#37514: PATCH: Add setting to allow switching to an
 already-visible buffer by default
References: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37514
Cc: 37514 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 25 Sep 2019 21:24:45 +0000
> From: Jefferson Carpenter <jefferson@HIDDEN>
> 
> A not-uncommon workflow of mine is to have more than one window looking at the same buffer in several
> different places.  Often in one of these windows I switch to some other buffer (perhaps a shell) and then want
> to switch directly back to the same place I was just looking at in main buffer.  However since my main buffer is
> already visible in another window, C-x b (switch-to-buffer) does not default to that buffer, but prefers a buffer
> that is not already visible.  This customization setting allows users to override that behavior so that
> switch-to-buffer does not prefer buffers that are not already visible.

Why is it important what "C-x b" offers as the default?  You can still
type the name of the buffer you want and switch to it.

FWIW, I use the workflow you mention from time to time, and I never
felt the need for such an option, because its effect will be global on
the entire session, and I don't want it everywhere.  I'd need to reset
such an option when I go back to the other workflows, which would be a
nuisance.

And if the above is somehow still not satisfactory, you can always
write a trivial wrapper around switch-to-buffer, which behaves the way
you like.  Why do we need to canonicalize this in Emacs?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Sep 2019 21:26:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 25 17:26:33 2019
Received: from localhost ([127.0.0.1]:42494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDEnx-0003T9-FZ
	for submit <at> debbugs.gnu.org; Wed, 25 Sep 2019 17:26:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:50813)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jefferson@HIDDEN>) id 1iDEmW-0003QZ-HK
 for submit <at> debbugs.gnu.org; Wed, 25 Sep 2019 17:25:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49609)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jefferson@HIDDEN>) id 1iDEmV-0007Pg-BH
 for bug-gnu-emacs@HIDDEN; Wed, 25 Sep 2019 17:25:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,HTML_MESSAGE,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jefferson@HIDDEN>) id 1iDEmR-0004fx-SY
 for bug-gnu-emacs@HIDDEN; Wed, 25 Sep 2019 17:25:03 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21379)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jefferson@HIDDEN>)
 id 1iDEmR-0004dQ-H6
 for bug-gnu-emacs@HIDDEN; Wed, 25 Sep 2019 17:24:59 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1569446686; cv=none; d=zoho.com; s=zohoarc; 
 b=BG+1nRvOCrWJizGYLMq3EapZ7BFeOsvW4z6psOZMEZ9NwIxX/wUyQrm3ihkFs1sZVr38zOM3DUG4mJmDvQ3p3kQeQgLofMG0nlsJ5DURd7EkHXh56V9NrGydL5mIf8+mqi8qxqXRb0jHL+VVV7GjQ+1S89jQ4W0xfQSZz2Hi2bk=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1569446686;
 h=Content-Type:Date:From:MIME-Version:Message-ID:Subject:To:ARC-Authentication-Results;
 bh=6OccIOleRp4r40NpWxNiZtj/pf5rn2P6gUCs/rgNt/M=; 
 b=fK2VTOxHSq2PTky4sM4PUDMr64iaprqOmScWWRY91B3GLS+AG/3S0rWQuwmpqRMs8zlLiiU/4mTb/niL73SiirQEUwHtca1Uf/Zn2Rd3WAgw+s3u3oPEvo5UjgP4bt7OGLNZzzTTzqn5a796uHwxFbyPCuyiq3+vh3bRpO59Bqs=
ARC-Authentication-Results: i=1; mx.zoho.com;
 dkim=pass  header.i=aoeu2code.com;
 spf=pass  smtp.mailfrom=jefferson@HIDDEN;
 dmarc=pass header.from=<jefferson@HIDDEN>
 header.from=<jefferson@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1569446686; 
 s=zoho; d=aoeu2code.com; i=jefferson@HIDDEN;
 h=Date:From:To:Message-Id:In-Reply-To:Subject:MIME-Version:Content-Type;
 l=5556; bh=6OccIOleRp4r40NpWxNiZtj/pf5rn2P6gUCs/rgNt/M=;
 b=S9XQ8r29DPeK6amdx469KTnaKdXpy3zLdCn8NcogNPt5XFppEFx+MOPUsVwPaUud
 LG9+qrMpWBOkk2dIjj+5X/Fmqfd2Gzsn5DfnX+1UYK6kNMzDfPfhmIJ3vAPFt/hMlrA
 YqMpWdEhCkY+uTYOnWJCyPKTu1r0e5qvEiId/Ypc=
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1569446685913349.49396211599753;
 Wed, 25 Sep 2019 14:24:45 -0700 (PDT)
Date: Wed, 25 Sep 2019 21:24:45 +0000
From: Jefferson Carpenter <jefferson@HIDDEN>
To: "bug-gnu-emacs" <bug-gnu-emacs@HIDDEN>
Message-Id: <16d6a4fecc8.102faf4a4441777.3062189885757431562@HIDDEN>
In-Reply-To: 
Subject: PATCH: Add setting to allow switching to an already-visible buffer
 by default
MIME-Version: 1.0
Content-Type: multipart/mixed; 
 boundary="----=_Part_1411144_1793795572.1569446685896"
X-Priority: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Zoho-Virus-Status: 1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 136.143.188.53
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 25 Sep 2019 17:26:31 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

------=_Part_1411144_1793795572.1569446685896
Content-Type: multipart/alternative; 
	boundary="----=_Part_1411145_1402111748.1569446685896"

------=_Part_1411145_1402111748.1569446685896
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

A not-uncommon workflow of mine is to have more than one window looking at =
the same buffer in several different places.=C2=A0 Often in one of these wi=
ndows I switch to some other buffer (perhaps a shell) and then want to swit=
ch directly back to the same place I was just looking at in main buffer.=C2=
=A0 However since my main buffer is already visible in another window, C-x =
b (switch-to-buffer) does not default to that buffer, but prefers a buffer =
that is not already visible.=C2=A0 This customization setting allows users =
to override that behavior so that switch-to-buffer does not prefer buffers =
that are not already visible.



Jefferson
------=_Part_1411145_1402111748.1569446685896
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"><html><head>=
<meta content=3D"text/html;charset=3DUTF-8" http-equiv=3D"Content-Type"></h=
ead><body ><div style=3D"font-family: Verdana, Arial, Helvetica, sans-serif=
; font-size: 10pt;"><div style=3D"color: rgb(0, 0, 0); font-family: Verdana=
, Arial, Helvetica, sans-serif; font-size: 13.3333px; font-style: normal; f=
ont-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400;=
 letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; t=
ext-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -we=
bkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-dec=
oration-style: initial; text-decoration-color: initial;">A not-uncommon wor=
kflow of mine is to have more than one window looking at the same buffer in=
 several different places.&nbsp; Often in one of these windows I switch to =
some other buffer (perhaps a shell) and then want to switch directly back t=
o the same place I was just looking at in main buffer.&nbsp; However since =
my main buffer is already visible in another window, C-x b (switch-to-buffe=
r) does not default to that buffer, but prefers a buffer that is not alread=
y visible.&nbsp; This customization setting allows users to override that b=
ehavior so that switch-to-buffer does not prefer buffers that are not alrea=
dy visible.<br></div><div style=3D"color: rgb(0, 0, 0); font-family: Verdan=
a, Arial, Helvetica, sans-serif; font-size: 13.3333px; font-style: normal; =
font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400=
; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -w=
ebkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-de=
coration-style: initial; text-decoration-color: initial;"><br></div><div st=
yle=3D"color: rgb(0, 0, 0); font-family: Verdana, Arial, Helvetica, sans-se=
rif; font-size: 13.3333px; font-style: normal; font-variant-ligatures: norm=
al; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; or=
phans: 2; text-align: start; text-indent: 0px; text-transform: none; white-=
space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px=
; background-color: rgb(255, 255, 255); text-decoration-style: initial; tex=
t-decoration-color: initial;">Jefferson<br></div><div><br></div></div><br><=
/body></html>
------=_Part_1411145_1402111748.1569446685896--

------=_Part_1411144_1793795572.1569446685896
Content-Type: application/octet-stream; 
	name=0001-Add-setting-to-allow-switching-to-an-already-visible.patch
Content-Transfer-Encoding: 7bit
X-ZM_AttachId: 137887394858970000
Content-Disposition: attachment; 
	filename=0001-Add-setting-to-allow-switching-to-an-already-visible.patch

From 65ad2d664f6667200d7edadaba3a9acdec60c7ff Mon Sep 17 00:00:00 2001
From: Jefferson Carpenter <jefferson.carpenter@HIDDEN>
Date: Wed, 25 Sep 2019 16:03:49 -0500
Subject: [PATCH] Add setting to allow switching to an already-visible buffer
 by default

---
 lisp/window.el | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/lisp/window.el b/lisp/window.el
index 620eacdd29..13009ee5ee 100644
--- a/lisp/window.el
+++ b/lisp/window.el
@@ -8158,6 +8158,13 @@ currently selected window; otherwise it will be displayed in
 another window."
   (pop-to-buffer buffer display-buffer--same-window-action norecord))
 
+(defcustom switch-to-buffer-visible-ok nil
+  "If non-nil, switch-to-buffer interactive prompt does not
+  prefer non-visible buffers."
+  :type 'boolean
+  :initialize 'custom-initialize-default
+  :group 'windows)
+
 (defun read-buffer-to-switch (prompt)
   "Read the name of a buffer to switch to, prompting with PROMPT.
 Return the name of the buffer as a string.
@@ -8178,7 +8185,8 @@ from the list of completions and default values."
               (set (make-local-variable 'icomplete-with-completion-tables)
                    (cons rbts-completion-table
                          icomplete-with-completion-tables))))
-      (read-buffer prompt (other-buffer (current-buffer))
+      (read-buffer prompt (other-buffer (current-buffer)
+                                        switch-to-buffer-visible-ok)
                    (confirm-nonexistent-file-or-buffer)))))
 
 (defun window-normalize-buffer-to-switch-to (buffer-or-name)
-- 
2.20.1 (Apple Git-117)


------=_Part_1411144_1793795572.1569446685896--






Acknowledgement sent to Jefferson Carpenter <jefferson@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37514; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.